> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# エージェントを更新

PATCH https://api.elevenlabs.io/v1/convai/agents/{agent_id}
Content-Type: application/json

エージェント設定をパッチ更新します。

Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/agents/update

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `agent_id` (string, required) — エージェントのID。エージェント作成時に返されます。

### Query parameters

- `enable_versioning_if_not_enabled` (boolean, optional, default: true, deprecated) — 非推奨：すべてのエージェントはバージョン管理されています。このパラメータは無視されます。
- `branch_id` (string, optional) — 使用するブランチのID
- `include_procedure_generated_workflow_elements` (boolean, optional, default: true) — 構造化された手順から生成されたワークフローノードとエッジを含めるかどうかを指定します。falseの場合、ワークフローには作成済みの要素のみが含まれます。

### Body (application/json)

This endpoint expects an object.

- `conversation_config` (ConversationalConfig, optional) — エージェントの会話設定
- `platform_settings` (AgentPlatformSettingsRequestModel, optional) — エージェントのプラットフォーム設定は、会話のオーケストレーションおよびコンテンツに関係しないすべての設定です。
- `workflow` (AgentWorkflowRequestModel, optional) — エージェントのワークフロー。会話の流れと、エージェントがツールとやり取りする方法を定義するために使用します。
- `name` (string, optional) — エージェントを見つけやすくする名前
- `tags` (list of string, optional) — エージェントの分類とフィルタリングに役立つタグ。
- `version_description` (string, optional) — 変更を公開する際のこのバージョンの説明（バージョン管理されたエージェントにのみ適用）
- `procedures` (map from string to ProcedureVersionRef, optional) — 公開する手順バージョン。procedure_idをキーとします。指定した場合、このマップは現在の下書きまたはブランチ先端の手順を置き換えます。省略またはnullの場合、未公開の手順編集があればそれを使用し、ない場合はブランチ先端の手順を保持します。すべての手順を削除するには空のオブジェクトを渡します。

## Response

### 200

成功レスポンス。

- `agent_id` (string, required) — エージェントのID
- `name` (string, required) — エージェントの名前。
- `conversation_config` (ConversationalConfig, required) — エージェントの会話設定
- `metadata` (AgentMetadataResponseModel, required) — エージェントのメタデータ。
- `platform_settings` (AgentPlatformSettingsResponseModel, optional) — エージェントのプラットフォーム設定
- `phone_numbers` (list of GetAgentResponseModelPhoneNumbersItem, optional) — エージェントの電話番号
- `whatsapp_accounts` (list of GetWhatsAppAccountResponse, optional) — エージェントに割り当てられたWhatsAppアカウント
- `workflow` (AgentWorkflowResponseModel, optional) — エージェントのワークフロー
- `access_info` (ResourceAccessInfo, optional) — ユーザーに対するエージェントのアクセス情報。
- `tags` (list of string, optional) — エージェントの分類に使用するタグ
- `version_id` (string, optional) — エージェントが使用中のバージョンのID。
- `branch_id` (string, optional) — エージェントが属するブランチのID
- `main_branch_id` (string, optional) — このエージェントのメインブランチのID
- `procedures` (map from string to ProcedureRefResponseModel, optional) — procedure_idをキーとする手順。
- `default_hold_audio_url` (string, optional, default: https://eleven-public-cdn-common.elevenlabs.io/convai/ambient-audio-assets/elevator1.mp3) — カスタム保留音声がアップロードされていない場合に、待機中の発信者へ再生されるデフォルトの保留音のURL。ダッシュボードでプレビューできます。

## Errors

### 422 Agents Update Request Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### ConversationalConfig

- `asr` (AsrConversationalConfig, optional) — 会話用文字起こしの設定
- `turn` (TurnConfig, optional) — ターン検出の設定
- `tts` (TtsConversationalConfigOutput, optional) — 会話用テキスト読み上げの設定
- `conversation` (ConversationConfigOutput, optional) — 会話イベントの設定
- `language_presets` (map from string to LanguagePresetOutput, optional) — 会話用の言語プリセット
- `vad` (VadConfig, optional) — 音声アクティビティ検出の設定
- `agent` (AgentConfig, optional) — エージェント固有の設定

### AgentPlatformSettingsRequestModel

- `evaluation` (EvaluationSettingsInput, optional) — 評価設定
- `widget` (WidgetConfig, optional) — ウィジェットの設定
- `data_collection` (map from string to AnalysisProperty, optional) — データ収集設定
- `data_collection_scopes` (map from string to enum, optional) — データ収集アイテムIDごとのスコープです。キーがない場合は、デフォルトで会話スコープになります。
  - Allowed values: `conversation`, `agent`
- `analysis_items` (AgentAnalysisItemsInput, optional) — 参照によって紐付けられた評価およびデータ収集項目です。Noneは、エージェントがまだ分析項目へ移行されていないことを示します（空の移行済みセットとは異なります）。その場合、読み取り時には従来のevaluation/data_collectionフィールドにフォールバックします。
- `overrides` (ConversationInitiationClientDataConfigInput, optional) — 会話開始時のエージェントに対する追加のオーバーライド
- `workspace_overrides` (AgentWorkspaceOverridesInput, optional) — エージェントのワークスペースオーバーライド
- `testing` (AgentTestingSettings, optional) — エージェントのテスト設定。
- `archived` (boolean, optional, default: false) — エージェントがアーカイブされているかどうか。
- `guardrails` (GuardrailsV1Input, optional) — エージェントのガードレール設定
- `summary_language` (string, optional) — すべての会話分析出力（要約、タイトル、評価根拠、データ収集根拠）の言語です。設定されていない場合、会話から言語が推測されます。サポートされている会話言語のいずれかである必要があります。
- `auto_translate_transcript_to_app_language` (boolean, optional) — 有効にすると、閲覧者が文字起こしページを開いた際に、会話の文字起こしが閲覧者のアプリケーション言語に自動翻訳されます。未設定またはfalseの場合、閲覧者が手動で翻訳を選択しない限り、文字起こしは元の言語で表示されます。
- `auth` (AuthSettings, optional) — 認証設定
- `call_limits` (AgentCallLimits, optional) — エージェントの通話制限
- `queueing_config` (AgentQueueingConfig, optional) — エージェントの同時実行待機キュー設定
- `privacy` (PrivacyConfigInput, optional) — エージェントのプライバシー設定
- `trust_context` (enum, optional, default: unknown) — エージェントが動作する信頼コンテキストです。
  - Allowed values: `unknown`, `low`, `high`
- `analysis_llm` (enum, optional) — 通話後分析（評価およびデータ収集）のデフォルトLLMモデル
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `topic_discovery` (TopicDiscoverySettings, optional) — エージェントごとのトピック検出設定
- `sentiment_analysis` (SentimentAnalysisSettings, optional) — エージェントごとの通話後感情分析設定
- `alerting` (AlertingSettings, optional) — ワークスペース設定を上書きするエージェントレベルのアラート設定。

### AgentWorkflowRequestModel

- `edges` (map from string to WorkflowEdgeModelInput, optional)
- `nodes` (map from string to AgentWorkflowRequestModelNodesValue, optional)
- `prevent_subagent_loops` (boolean, optional, default: false) — ワークフロー実行時のループを防止するかどうか。

### ProcedureVersionRef

- `procedure_id` (string, required) — 手順ID
- `version_id` (string, required) — プロシージャバージョンのID。

### AgentMetadataResponseModel

- `created_at_unix_secs` (integer, required) — Unix秒で表したエージェントの作成時刻
- `updated_at_unix_secs` (integer, required) — エージェントの最終更新時刻（Unix秒）。

### AgentPlatformSettingsResponseModel

- `evaluation` (EvaluationSettingsOutput, optional) — 評価設定
- `widget` (WidgetConfig, optional) — ウィジェットの設定
- `data_collection` (map from string to AnalysisProperty, optional) — データ収集設定
- `data_collection_scopes` (map from string to enum, optional) — データ収集アイテムIDごとのスコープです。キーがない場合は、デフォルトで会話スコープになります。
  - Allowed values: `conversation`, `agent`
- `analysis_items` (AgentAnalysisItemsOutput, optional) — 参照によって紐付けられた評価およびデータ収集項目です。Noneは、エージェントがまだ分析項目へ移行されていないことを示します（空の移行済みセットとは異なります）。その場合、読み取り時には従来のevaluation/data_collectionフィールドにフォールバックします。
- `overrides` (ConversationInitiationClientDataConfigOutput, optional) — 会話開始時のエージェントに対する追加のオーバーライド
- `workspace_overrides` (AgentWorkspaceOverridesOutput, optional) — エージェントのワークスペースオーバーライド
- `testing` (AgentTestingSettings, optional) — エージェントのテスト設定。
- `archived` (boolean, optional, default: false) — エージェントがアーカイブされているかどうか。
- `guardrails` (GuardrailsV1Output, optional) — エージェントのガードレール設定
- `summary_language` (string, optional) — すべての会話分析出力（要約、タイトル、評価根拠、データ収集根拠）の言語です。設定されていない場合、会話から言語が推測されます。サポートされている会話言語のいずれかである必要があります。
- `auto_translate_transcript_to_app_language` (boolean, optional) — 有効にすると、閲覧者が文字起こしページを開いた際に、会話の文字起こしが閲覧者のアプリケーション言語に自動翻訳されます。未設定またはfalseの場合、閲覧者が手動で翻訳を選択しない限り、文字起こしは元の言語で表示されます。
- `auth` (AuthSettings, optional) — 認証設定
- `call_limits` (AgentCallLimits, optional) — エージェントの通話制限
- `queueing_config` (AgentQueueingConfig, optional) — エージェントの同時実行待機キュー設定
- `privacy` (PrivacyConfigOutput, optional) — エージェントのプライバシー設定
- `trust_context` (enum, optional, default: unknown) — エージェントが動作する信頼コンテキストです。
  - Allowed values: `unknown`, `low`, `high`
- `analysis_llm` (enum, optional) — 通話後分析（評価およびデータ収集）のデフォルトLLMモデル
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `topic_discovery` (TopicDiscoverySettings, optional) — エージェントごとのトピック検出設定
- `sentiment_analysis` (SentimentAnalysisSettings, optional) — エージェントごとの通話後感情分析設定
- `alerting` (AlertingSettingsResponse, optional) — ワークスペース設定を上書きするエージェントレベルのアラート設定。
- `safety` (SafetyResponseModel, optional)

### GetAgentResponseModelPhoneNumbersItem

- `provider`: `exotel`
  - `label` (string, required) — 電話番号のラベル
  - `phone_number` (string, required) — 電話番号
  - `phone_number_id` (string, required) — 電話番号のID
  - `assigned_agent` (PhoneNumberAgentInfo, optional) — 電話番号に割り当てられたエージェント。
  - `supports_inbound` (boolean, optional, default: true, deprecated) — このフィールドは非推奨であり、今後削除されます。この電話番号が着信通話に対応しているかどうかです。
  - `supports_outbound` (boolean, optional, default: true, deprecated) — このフィールドは非推奨であり、今後削除されます。この電話番号が発信通話に対応しているかどうかです。
- `provider`: `sip_trunk`
  - `label` (string, required) — 電話番号のラベル
  - `livekit_stack` (enum, required, default: standard) — この番号に使用するLivekitスタックのタイプ。
    - Allowed values: `standard`, `static`
  - `phone_number` (string, required) — 電話番号
  - `phone_number_id` (string, required) — 電話番号のID
  - `assigned_agent` (PhoneNumberAgentInfo, optional) — 電話番号に割り当てられたエージェント。
  - `inbound_trunk` (GetPhoneNumberInboundSipTrunkConfigResponseModel, optional) — 着信SIPトランクの設定（設定されている場合）。
  - `outbound_trunk` (GetPhoneNumberOutboundSipTrunkConfigResponseModel, optional) — 発信SIPトランクの設定（設定されている場合）。
  - `store_sip_messages` (boolean, optional, default: true) — この電話番号のSIPメッセージを保存するかどうか。
  - `provider_config` (GetPhoneNumberOutboundSipTrunkConfigResponseModel, optional, deprecated) — 電話番号のSIPトランク設定詳細
  - `supports_inbound` (boolean, optional, default: true, deprecated) — このフィールドは非推奨であり、今後削除されます。この電話番号が着信通話に対応しているかどうかです。
  - `supports_outbound` (boolean, optional, default: true, deprecated) — このフィールドは非推奨であり、今後削除されます。この電話番号が発信通話に対応しているかどうかです。
- `provider`: `twilio`
  - `label` (string, required) — 電話番号のラベル
  - `phone_number` (string, required) — 電話番号
  - `phone_number_id` (string, required) — 電話番号のID
  - `assigned_agent` (PhoneNumberAgentInfo, optional) — 電話番号に割り当てられたエージェント。
  - `supports_inbound` (boolean, optional, default: true, deprecated) — このフィールドは非推奨であり、今後削除されます。この電話番号が着信通話に対応しているかどうかです。
  - `supports_outbound` (boolean, optional, default: true, deprecated) — このフィールドは非推奨であり、今後削除されます。この電話番号が発信通話に対応しているかどうかです。

### GetWhatsAppAccountResponse

- `business_account_id` (string, required)
- `phone_number_id` (string, required)
- `business_account_name` (string, required)
- `phone_number_name` (string, required)
- `phone_number` (string, required)
- `account_type` (enum, optional, default: cloud_api) — このアカウントを作成したEmbedded Signupフロー。
  - Allowed values: `cloud_api`, `coexistence`
- `assigned_agent_id` (string, optional)
- `enable_messaging` (boolean, optional, default: true)
- `enable_audio_message_response` (boolean, optional, default: true)
- `enable_typing_indicator` (boolean, optional, default: true)
- `assigned_agent_name` (string, optional)
- `is_token_expired` (boolean, optional, default: false)

### AgentWorkflowResponseModel

- `edges` (map from string to WorkflowEdgeModelOutput, required)
- `nodes` (map from string to AgentWorkflowResponseModelNodesValue, required)
- `prevent_subagent_loops` (boolean, required, default: false) — ワークフロー実行時のループを防止するかどうか。

### ResourceAccessInfo

- `is_creator` (boolean, required) — リクエストを行うユーザーがエージェントの作成者かどうか
- `creator_name` (string, required) — エージェント作成者の名前
- `creator_email` (string, required) — エージェント作成者のメールアドレス
- `role` (enum, required) — リクエストを行うユーザーのロール
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `anonymous_access_level_override` (enum, optional) — 匿名ユーザーのアクセスレベル。Noneの場合、このリソースは公開共有されません。
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `access_source` (enum, optional) — リクエストしたユーザーがこのリソースにアクセスできる理由。'creator'＝呼び出し元がオーナーです。'explicit'＝呼び出し元（またはそのワークスペースグループのいずれか）が、ワークスペース全体のeveryoneグループ以外としてrole_to_group_idsに記載されています。'workspace_default'＝ワークスペース全体のeveryoneグループがrole_to_group_idsに記載されています（管理者を含む、匿名ではないすべてのワークスペースメンバーがこのリソースを閲覧できます）。'workspace_admin'＝呼び出し元がワークスペース管理者であり、管理者シートがアクセスする*唯一*の経路です。これは他の誰も閲覧できないドキュメント用に予約されています。管理者バイパスの閲覧者が明示的に共有されていないドキュメントを閲覧できる理由をUIで表示できます。
  - Allowed values: `creator`, `explicit`, `workspace_admin`, `workspace_default`

### ProcedureRefResponseModel

- `procedure_id` (string, required) — 手順ID
- `version_id` (string, optional) — プロシージャのバージョンID。一度もバージョン管理されていないプロシージャの場合はNoneです。
- `name` (string, optional, default: ) — 手順名
- `type` (enum, optional, default: free_form) — 手順タイプ
  - Allowed values: `free_form`, `deterministic`, `folder`
- `trigger` (string, optional, default: ) — エージェントがこの手順を使用するタイミング。空の文字列は、別の手順から参照された場合にのみ開始するサブ手順であることを示します。
- `referenced_tool_ids` (list of string, optional) — 手順コンテンツで参照されるツールID
- `referenced_kb_ids` (list of string, optional) — 手順コンテンツで参照されるナレッジベースID
- `referenced_procedure_ids` (list of string, optional) — 手順コンテンツで参照される手順ID
- `referenced_dynamic_variables` (list of string, optional) — 手順コンテンツで使用される動的変数名
- `folder_parent_id` (string, optional) — この手順を配置するフォルダーの手順ID。Noneはルートを意味します。

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### AsrConversationalConfig

- `quality` ("high", optional) — 文字起こしの品質
- `provider` (enum, optional, default: scribe_realtime) — 文字起こしサービスのプロバイダー
  - Allowed values: `elevenlabs`, `scribe_realtime`, `scribe_v2_turbo`
- `user_input_audio_format` (enum, optional, default: pcm_16000) — 文字起こしするオーディオの形式
  - Allowed values: `pcm_8000`, `pcm_16000`, `pcm_22050`, `pcm_24000`, `pcm_44100`, `pcm_48000`, `ulaw_8000`
- `keywords` (list of string, optional) — 予測確率を高めるキーワード

### TurnConfig

- `turn_timeout` (double, optional, default: 7) — ユーザーに再度働きかけるまでの、ユーザーからの返信の最大待機時間
- `initial_wait_time` (double, optional) — 最初のメッセージが空の場合に、エージェントがユーザーの会話開始を待機する時間です。設定しない場合は、通常のturn_timeoutを使用します。
- `silence_end_call_timeout` (double, optional, default: -1) — 通話を終了するまでの、ユーザーが最後に発話してからの最大待機時間
- `turn_eagerness` (enum, optional, default: normal) — エージェントがどの程度積極的に応答するかを制御します。Low＝積極性が低い（より長く待機）、Standard＝デフォルトの積極性、High＝積極性が高い（より早く応答）
  - Allowed values: `patient`, `normal`, `eager`
- `spelling_patience` (enum, optional, default: auto) — ユーザーが数字や固有表現をつづっている際に、エージェントがより長く待機するかどうかを制御します。Auto＝モデルに基づいて判断、Off＝追加で待機しません。
  - Allowed values: `auto`, `off`
- `speculative_turn` (boolean, optional, default: false) — 有効にすると、ターンの信頼度が完全に確定する前の無音中にLLM応答の生成を開始し、体感レイテンシーを削減します。LLMのコストが増加する可能性があります。
- `retranscribe_on_turn_timeout` (boolean, optional, default: false) — 有効にすると、VADが音声を検出しなかった場合、ターンのタイムアウト時に蓄積されたオーディオの再文字起こしを試みます。アクティブなエージェントまたはワークフローノードで有効な間は、無音割引の請求が無効になります。
- `turn_model` (enum, optional, default: turn_v3) — 使用するターン検出モデルのバージョン。
  - Allowed values: `turn_v2`, `turn_v3`
- `interruption_ignore_terms` (list of string, optional) — ユーザーが発話しても割り込みをトリガーしない用語のリスト（例：'gotcha'、'understood'）。大文字・小文字を区別しない完全一致を使用します。
- `interruption_ignore_term_languages` (list of string, optional) — プリセットの無視タームカテゴリが有効化されている言語コードです。表示がタームの重複から推測されないよう、明示的に保存されます。
- `merge_with_default_ignore_terms` (boolean, optional, default: false) — 有効にすると、interruption_ignore_termsに加えて、interruption_ignore_term_languages用に厳選されたデフォルト用語が使用されます。
- `transcribe_on_disabled_interruptions` (boolean, optional, default: false) — 割り込みが無効な場合でも、次のターンに引き継げるようユーザーの発話を文字起こしします。無効の場合、割り込み不可のターン中のユーザー発話は無視され、ターンは開始されません。
- `soft_timeout_config` (SoftTimeoutConfig, optional) — ソフトタイムアウト機能の設定です。長いLLMレスポンスの処理中に即時フィードバックを提供します。

### TtsConversationalConfigOutput

- `model_id` (enum, optional, default: eleven_v4_turbo) — TTSに使用するモデル。
  - Allowed values: `eleven_turbo_v2`, `eleven_turbo_v2_5`, `eleven_flash_v2`, `eleven_flash_v2_5`, `eleven_multilingual_v2`, `eleven_v3_conversational`, `eleven_v4`, `eleven_v4_turbo`
- `voice_id` (string, optional, default: cjVigY5qzO86Huf0OWal) — TTSに使用する音声ID
- `supported_voices` (list of SupportedVoice, optional) — エージェントで追加対応する音声
- `expressive_mode` (boolean, optional, default: true) — 有効にすると、表現豊かなオーディオタグのプロンプトを適用します。v3以外のモデルでは自動的に無効になります。
- `suggested_audio_tags` (list of SuggestedAudioTag, optional) — 表現力豊かな音声を強化するための推奨オーディオタグ（eleven_v3およびeleven_v3_conversationalモデル用）。エージェントは、ここに記載されていない他のタグも使用できます。
- `agent_output_audio_format` (enum, optional, default: pcm_16000) — TTSに使用するオーディオ形式
  - Allowed values: `pcm_8000`, `pcm_16000`, `pcm_22050`, `pcm_24000`, `pcm_44100`, `pcm_48000`, `ulaw_8000`
- `optimize_streaming_latency` (integer, optional) — 非推奨：このフィールドは何も行わず、無視されます。
- `stability` (double, optional, default: 0.5) — 生成された音声の安定性
- `speed` (double, optional, default: 1) — 生成された音声の速度
- `similarity_boost` (double, optional, default: 0.8) — 生成された音声の類似性ブースト
- `text_normalisation_type` (enum, optional, default: system_prompt) — テキストを音声に変換する前に数字を単語に変換する方法。SYSTEM_PROMPTに設定すると、正規化の指示を含むようシステムプロンプトが更新されます。ELEVENLABSに設定すると、生成後にテキストが正規化されるため、わずかに追加のレイテンシーが発生します。
  - Allowed values: `system_prompt`, `elevenlabs`
- `pronunciation_dictionary_locators` (list of PydanticPronunciationDictionaryVersionLocator, optional) — 発音辞書ロケーター
- `enable_phoneme_tags` (boolean, optional, default: true) — V3モデルでのSSML音素タグ処理を有効にします。有効にすると、音素タグ（インラインおよび発音辞書由来）はモデルに送信される前にインラインIPAへ解析されます。
- `audio_effects` (EffectsSpecOutput, optional) — 任意のTTSエフェクト指定：フィルタープリセット、距離（近接EQ）、環境（コンボリューションリバーブ）。

### ConversationConfigOutput

- `text_only` (boolean, optional, default: false) — 有効にするとオーディオは処理されず、テキストのみが使用されます。オーディオ料金を回避するために使用します。
- `max_duration_seconds` (integer, optional, default: 600) — 会話の最大時間（秒）。
- `client_events` (list of enum, optional) — クライアントに送信されるイベント
  - Allowed values: `conversation_initiation_metadata`, `asr_initiation_metadata`, `ping`, `audio`, `interruption`, `user_transcript`, `tentative_user_transcript`, `agent_response`, `agent_response_correction`, `client_tool_call`, `mcp_tool_call`, `mcp_connection_status`, `agent_tool_request`, `agent_tool_response`, `agent_tool_response_full_payload`, `agent_response_metadata`, `vad_score`, `agent_chat_response_part`, `client_error`, `guardrail_triggered`, `dtmf_request`, `agent_response_complete`, `context_usage`, `internal_turn_probability`, `internal_tentative_agent_response`
- `file_input` (FileInputConfig, optional) — 会話中のファイル入力（画像／PDFアップロード）の設定。
- `monitoring_enabled` (boolean, optional, default: false) — WebSocket経由の会話のリアルタイム監視を有効にします
- `monitoring_events` (list of enum, optional) — モニタリング接続に送信されるイベント。
  - Allowed values: `conversation_initiation_metadata`, `asr_initiation_metadata`, `ping`, `audio`, `interruption`, `user_transcript`, `tentative_user_transcript`, `agent_response`, `agent_response_correction`, `client_tool_call`, `mcp_tool_call`, `mcp_connection_status`, `agent_tool_request`, `agent_tool_response`, `agent_tool_response_full_payload`, `agent_response_metadata`, `vad_score`, `agent_chat_response_part`, `client_error`, `guardrail_triggered`, `dtmf_request`, `agent_response_complete`, `context_usage`, `internal_turn_probability`, `internal_tentative_agent_response`
- `dtmf_input_settings` (DtmfInputConfig, optional) — 電話中のDTMF（キーパッド）入力収集を設定する
- `background_sound` (BackgroundSoundConfig, optional) — 会話中のバックグラウンドサウンドの設定。
- `source_attribution` (boolean, optional, default: false) — 有効にし、ナレッジベースのコンテンツが存在する場合、LLMは使用したソースを報告するよう指示されます。

### LanguagePresetOutput

- `overrides` (ConversationConfigClientOverrideOutput, required) — 言語プリセットのオーバーライド設定
- `first_message_translation` (LanguagePresetTranslation, optional) — 最初のメッセージの翻訳
- `soft_timeout_translation` (LanguagePresetTranslation, optional) — ソフトタイムアウトメッセージの翻訳

### VadConfig

### AgentConfig

- `first_message` (string, optional, default: ) — 空でない場合、エージェントが最初に発するメッセージです。空の場合、エージェントはユーザーが会話を開始するのを待ちます。
- `language` (string, optional, default: en) — エージェントの言語（ASRおよびTTSで使用）
- `hinglish_mode` (boolean, optional, default: false) — 有効にすると、エージェントはヒンディー語、マラヤーラム語、テルグ語、カンナダ語での応答に英単語や英語のフレーズを混在させます。
- `dynamic_variables` (any, optional)
- `disable_first_message_interruptions` (boolean, optional, default: false) — trueの場合、最初のメッセージの配信中はユーザーがエージェントを中断できません。
- `max_conversation_duration_message` (string, optional, default: ) — 空でない場合、会話の最大時間に達したときにエージェントが送信するメッセージです。
- `text_behavior_overrides` (map from string to BehaviorOverride, optional) — テキスト会話におけるチャネルごとの応答動作オーバーライド。未設定の場合、組み込みチャネルのデフォルトが適用されます。
- `prompt` (PromptAgentApiModelOutput, optional) — エージェント用のプロンプト

### EvaluationSettingsInput

エージェントのパフォーマンスを評価するための設定です。 エージェントは一連の基準に対して評価され、これらの基準の組み合わせを満たすことが成功として定義されます。

- `criteria` (list of PromptEvaluationCriteria, optional) — エージェントを評価する個別の基準

### WidgetConfig

- `variant` (enum, optional, default: full) — ウィジェットのバリアント
  - Allowed values: `tiny`, `compact`, `full`, `expandable`
- `placement` (enum, optional, default: bottom-right) — 画面上のウィジェットの配置
  - Allowed values: `top-left`, `top`, `top-right`, `bottom-left`, `bottom`, `bottom-right`
- `expandable` (enum, optional, default: never) — ウィジェットを展開できるかどうか
  - Allowed values: `never`, `mobile`, `desktop`, `always`
- `avatar` (WidgetConfigAvatar, optional) — ウィジェットのアバター
- `feedback_mode` (enum, optional, default: none) — ウィジェットのフィードバックモード
  - Allowed values: `none`, `during`, `end`
- `end_feedback` (WidgetEndFeedbackConfig, optional) — 会話終了時に収集するフィードバックの設定
- `bg_color` (string, optional, default: #ffffff) — ウィジェットの背景色
- `text_color` (string, optional, default: #000000) — ウィジェットのテキストカラー
- `btn_color` (string, optional, default: #000000) — ウィジェットのボタン色
- `btn_text_color` (string, optional, default: #ffffff) — ウィジェットのボタンテキスト色
- `border_color` (string, optional, default: #e1e1e1) — ウィジェットの境界線の色
- `focus_color` (string, optional, default: #000000) — ウィジェットのフォーカス時の色
- `border_radius` (integer, optional) — ウィジェットの角丸半径
- `btn_radius` (integer, optional) — ウィジェットのボタンの角丸半径
- `action_text` (string, optional) — ウィジェットのアクションテキスト。
- `start_call_text` (string, optional) — ウィジェットの通話開始テキスト
- `end_call_text` (string, optional) — ウィジェットの通話終了テキスト
- `expand_text` (string, optional) — ウィジェットの展開テキスト
- `listening_text` (string, optional) — エージェントが聞いているときに表示するテキスト
- `speaking_text` (string, optional) — エージェントが話しているときに表示するテキスト
- `shareable_page_text` (string, optional) — 共有時に表示するテキスト
- `shareable_page_show_terms` (boolean, optional, default: true) — 共有可能なページに利用規約を表示するかどうか
- `terms_text` (string, optional) — 利用規約として表示するテキスト
- `terms_html` (string, optional) — 利用規約として表示するHTML
- `terms_key` (string, optional) — 利用規約の表示に使用するキー。
- `show_avatar_when_collapsed` (boolean, optional) — ウィジェットを折りたたんだときにアバターを表示するかどうか
- `disable_banner` (boolean, optional, default: false) — バナーを無効にするかどうか
- `override_link` (string, optional) — ウィジェットのオーバーライドリンク
- `markdown_link_allowed_hosts` (list of AllowlistItem, optional) — クリック可能なMarkdownリンクで許可するホスト名のリスト。任意のドメインを許可するには\{ hostname: '\*' }を使用します。空の場合、リンクは許可されません。
- `markdown_link_include_www` (boolean, optional, default: true) — 許可されたホストのwww.バリアントを自動的に含めるかどうか
- `markdown_link_allow_http` (boolean, optional, default: true) — Whether to allow http:// in addition to https:// for allowed hosts
- `mic_muting_enabled` (boolean, optional, default: true) — マイクのミュートを有効にするかどうか
- `transcript_enabled` (boolean, optional, default: true) — 会話の進行に合わせてウィジェットに会話の文字起こしを表示するかどうか
- `text_input_enabled` (boolean, optional, default: true) — ユーザーがテキストメッセージを送信できるようにするかどうか
- `conversation_mode_toggle_enabled` (boolean, optional, default: false) — ウィジェットで会話モードの切り替えを有効にするかどうか
- `default_expanded` (boolean, optional, default: false) — ウィジェットをデフォルトで展開するかどうか
- `always_expanded` (boolean, optional, default: false) — ウィジェットを常に展開するかどうか
- `dismissible` (boolean, optional, default: false) — ユーザーがウィジェットを閉じられるかどうか
- `show_agent_status` (boolean, optional, default: false) — ツール使用中にエージェントの作業中／完了／エラーステータスを表示するかどうか
- `show_conversation_id` (boolean, optional, default: true) — 切断後に会話IDを表示するかどうか。
- `strip_audio_tags` (boolean, optional, default: true) — メッセージからオーディオマークアップを削除するかどうか。
- `syntax_highlight_theme` (enum, optional) — コードブロックのシンタックスハイライト用テーマです。設定しない場合は、ウィジェットによる自動検出がデフォルトになります。
  - Allowed values: `light`, `dark`
- `text_contents` (WidgetTextContents, optional) — ウィジェットのテキスト内容。
- `styles` (WidgetStyles, optional) — ウィジェットのスタイル。
- `show_resize_button` (boolean, optional, default: true) — サイズ変更ボタンを表示するかどうか
- `end_confirmation_enabled` (boolean, optional, default: false) — チャットまたは通話を終了する前に、ユーザーに確認を求めるかどうか
- `language_selector` (boolean, optional, default: false) — 言語セレクターを表示するかどうか
- `supports_text_only` (boolean, optional, default: true) — ウィジェットがテキストのみモードに切り替えられるかどうか
- `custom_avatar_path` (string, optional) — カスタムアバターのパス
- `language_presets` (map from string to WidgetLanguagePreset, optional) — ウィジェット用の言語プリセット

### AnalysisProperty

通話後分析用に、項目ごとの任意のLLMオーバーライドを持つデータ収集プロパティ。 TODO：継承ではなくコンポジション（value_schema: LiteralJsonSchemaProperty + llm）へ移行し、将来的にオブジェクト／配列スキーマへきれいに一般化できるようにする。

- `type` (enum, required)
  - Allowed values: `boolean`, `string`, `integer`, `number`
- `description` (string, optional, default: ) — プロパティの説明。設定すると、LLMはこの説明に基づいて値を提供します。dynamic_variable、is_system_provided、constant_value、is_omittedとは併用できません。
- `enum` (list of string, optional) — List of allowed string values for string type parameters
- `is_system_provided` (boolean, optional, default: false) — trueの場合、値は実行時にシステムによって設定されます。API Integration Webhookツールでテンプレート化に使用されます。description、dynamic_variable、constant_value、is_omittedとは併用できません。
- `dynamic_variable` (string, optional, default: ) — このプロパティの値に使用する動的変数の名前。description、is_system_provided、constant_value、is_omittedとは併用できません。
- `allowed_values` (AllowedValues, optional) — LLMが提供する値に対するサーバー側の拒否ガードです。ランタイムは、このオブジェクトで指定された許可セット外の値を拒否します。このセットはenumとしてLLMには公開されません。値のソースが`description`の場合のみサポートされ、dynamic_variable、is_system_provided、constant_value、is_omittedとの組み合わせは拒否されます。
- `constant_value` (AnalysisPropertyConstantValue, optional) — このプロパティに使用する定数値です。description、dynamic_variable、is_system_provided、is_omittedとは同時に使用できません。
- `is_omitted` (boolean, optional, default: false) — trueの場合、このパラメータはリクエストから完全に省略されます。任意パラメータでのみ有効です。description、dynamic_variable、is_system_provided、constant_valueとは併用できません。
- `name` (string, optional) — このデータ収集アイテムの名前。
- `llm` (enum, optional) — この分析項目に使用するLLMモデル。設定されていない場合は、エージェントのanalysis_llmのデフォルトを使用します。
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `allowed_values_dynamic_variable` (string, optional, default: , deprecated) — 非推奨：代わりに`allowed_values`を使用してください。設定すると、LLMが値を提供しますが、実行時にはこの動的変数が保持するリストにない値を拒否します（["ws_alpha", "ws_beta"]のようなJSON配列である必要があります）。LLMがサーバー検証済みのセット（例：現在のユーザーにアクセスが許可されているID）から選択できるようにする場合に使用します。descriptionが必要です。dynamic_variable、is_system_provided、constant_value、is_omittedとは同時に使用できません。

### AgentAnalysisItemsInput

- `evaluation_criteria` (list of AgentAnalysisItemsInputEvaluationCriteriaItem, optional)
- `data_collection` (list of AgentAnalysisItemsInputDataCollectionItem, optional)

### ConversationInitiationClientDataConfigInput

- `conversation_config_override` (ConversationConfigClientOverrideConfigInput, optional) — 会話設定のオーバーライド
- `custom_llm_extra_body` (boolean, optional, default: false) — カスタムLLMの追加ボディを含めるかどうか
- `enable_conversation_initiation_client_data_from_webhook` (boolean, optional, default: false) — Webhookからの会話開始クライアントデータを有効にするかどうか
- `enable_starting_workflow_node_id_from_client` (boolean, optional, default: false) — クライアントが開始クライアントデータでstarting_workflow_node_idを渡せるかどうか。falseの場合、これを送信すると会話の開始に失敗します。
- `enable_procedure_ids_from_client` (boolean, optional, default: false) — クライアントが開始クライアントデータでprocedure_idsを渡し、会話で使用可能なエージェント手順を選択できるかどうか。falseの場合、これを送信すると会話の開始に失敗します。

### AgentWorkspaceOverridesInput

- `conversation_initiation_client_data_webhook` (ConversationInitiationClientDataWebhook, optional) — 会話開始クライアントデータの送信先Webhook
- `webhooks` (ConvAiWebhooks, optional)

### AgentTestingSettings

エージェントテスト設定です。

- `attached_tests` (list of AttachedTestModel, optional) — このエージェントで実行するテストIDのリスト

### GuardrailsV1Input

- `version` ("1", optional)
- `focus` (FocusGuardrail, optional)
- `prompt_injection` (PromptInjectionGuardrail, optional)
- `content` (ContentGuardrailInput, optional)
- `custom` (CustomGuardrailInput, optional) — ModerationGuardrailパターンに一致するカスタムガードレール用コンテナ

### AuthSettings

- `enable_auth` (boolean, optional, default: false) — trueに設定すると、エージェントとの会話開始に署名付きトークンが必要になります
- `allowlist` (list of AllowlistItem, optional) — エージェントとの会話開始を許可するホストのリストです。
- `require_origin_header` (boolean, optional, default: false) — 有効にすると、Originヘッダーがない接続は拒否されます。許可リストが空の場合、このオプションは無効です。
- `shareable_token` (string, optional) — エージェントとの会話開始に使用できる共有可能なトークン

### AgentCallLimits

- `agent_concurrency_limit` (integer, optional, default: -1) — 同時会話数の上限。-1は上限なしを示します。
- `daily_limit` (integer, optional, default: 100000) — 1日あたりの会話数の上限。
- `bursting_enabled` (boolean, optional, default: true) — バーストを有効にするかどうか。trueの場合、ワークスペースの同時実行数上限を最大で3倍まで超過できます。上限を超えた呼び出しには2倍の料金が適用されます。

### AgentQueueingConfig

- `enabled` (boolean, optional, default: false) — エージェントが同時実行数の上限に達した場合、呼び出し元を即座に拒否せず、待機キューに入れます。このフィールドが明示的に設定されていない限り、新しいエージェントはキューイングが有効な状態で作成されます。
- `wait_timeout_seconds` (integer, optional, default: 180) — 拒否されるまで発信者がキューで待機できる最大時間
- `hold_audio` (AgentHoldAudioConfig, optional) — キューに入った発信者に再生するカスタム保留オーディオ。未設定の場合、発信者にはデフォルトの保留音が再生されます。読み取り専用です。エージェントの保留オーディオエンドポイントからファイルをアップロードして設定してください。

### PrivacyConfigInput

- `record_voice` (boolean, optional, default: true) — 会話を録音するかどうか
- `retention_days` (integer, optional, default: -1) — 会話を保持する日数。-1は保持期間の制限がないことを示します。
- `delete_transcript_and_pii` (boolean, optional, default: false) — 文字起こしとPIIを削除するかどうか
- `delete_audio` (boolean, optional, default: false) — オーディオを削除するかどうか
- `apply_to_existing_conversations` (boolean, optional, default: false) — 既存の会話にプライバシー設定を適用するかどうか
- `zero_retention_mode` (boolean, optional, default: false) — ゼロ保持モードを有効にするかどうか。PIIデータは保存されません
- `conversation_history_redaction` (ConversationHistoryRedactionConfig, optional) — 会話履歴のPII編集設定

### TopicDiscoverySettings

エージェントごとのトピック検出設定。実行頻度と分析ウィンドウは内部で管理され、この設定では顧客向けのオン／オフトグルのみを公開します。

### SentimentAnalysisSettings

### AlertingSettings

エージェント単位とワークスペース単位の両方で使用するアラート設定。 モニターごとのしきい値と自動解決のカスケード順序：エージェント → ワークスペース → システムデフォルト。

- `monitor_configs` (map from string to AlertingMonitorConfig, optional) — モニター名をキーとするアラート設定。
- `auto_resolve_after_inactive_minutes` (integer, optional) — アラートが自動解決されるまで非アクティブな状態を維持できる時間（分）です。未設定の値には次のレイヤーの値が適用されます。
- `notifiers` (list of AlertingSettingsNotifiersItem, optional) — アラートライフサイクル通知の配信チャネル。他のレイヤーと重ねて使用され、``webhook_id``、PagerDutyの``connection_id``、またはSlackの``(connection_id, channel_id)``で重複排除されます。

### WorkflowEdgeModelInput

- `source` (string, required) — ソースノードのID。
- `target` (string, required) — ターゲットノードのID。
- `forward_condition` (WorkflowEdgeModelInputForwardCondition, optional) — エッジを順方向（ソースからターゲット）にたどるために満たす必要がある条件。
- `backward_condition` (WorkflowEdgeModelInputBackwardCondition, optional) — エッジを逆方向（ターゲットからソース）にたどるために満たす必要がある条件。

### AgentWorkflowRequestModelNodesValue

- `type`: `end`
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `outcome` (enum, optional, default: success) — このEndノードに到達したときに、会話を成功または失敗として終了するかどうか。
    - Allowed values: `success`, `failure`
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。
- `type`: `override_agent`
  - `label` (string, required) — UI全体で使用する、人間が読めるノードラベルです。
  - `additional_knowledge_base` (list of KnowledgeBaseLocator, optional) — サブエージェントがアクセスできる追加のナレッジベースドキュメントです。メインエージェントのドキュメントに加えて使用されます。
  - `additional_prompt` (string, optional) — このサブエージェントの具体的な目標です。システムプロンプトに追加され、この特定のコンテキストにおけるエージェントの動作をさらに調整するために使用できます。
  - `additional_tool_ids` (list of string, optional) — サブエージェントがアクセスできる追加ツールのID。メインエージェントのツールに加えて使用されます。
  - `conversation_config` (ConversationalConfigApiModelWorkflowOverrideInput, optional) — サブエージェントが会話を行っている間に適用される設定のオーバーライド。
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `entry_behavior` (enum, optional, default: auto) — このノードに入った直後にレスポンスを生成するか、ユーザー入力を待つかを指定します。"auto"に設定すると、直前のノードのタイプに応じて動作が決まります。"say"ノードおよび"start"ノードの後は"wait_for_user"、それ以外は"generate_immediately"になります。
    - Allowed values: `generate_immediately`, `wait_for_user`, `auto`
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。
- `type`: `phone_number`
  - `transfer_destination` (WorkflowPhoneNumberNodeModelInputTransferDestination, required)
  - `custom_sip_headers` (list of WorkflowPhoneNumberNodeModelInputCustomSipHeadersItem, optional) — 通話転送時に含めるカスタムSIPヘッダー。各ヘッダーには静的な値または動的変数参照を指定できます。
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。
  - `post_dial_digits` (WorkflowPhoneNumberNodeModelInputPostDialDigits, optional) — 通話接続後に送信するDTMF数字（例：内線番号には'ww1234'）。静的値または動的変数参照を指定できます。0.5秒の一時停止には'w'を使用します。Twilio転送でのみサポートされます。
  - `sip_refer_play_dialtone` (boolean, optional, default: true) — Trueの場合、SIP REFER転送の完了中に、元の通話レッグで呼び出し音が再生されます。この音はRTP経由でREFERを実行するSIPピアに送られるため、受信システム（SBCやコンタクトセンターなど）でこの音を聞かせたくない場合は無効にしてください。無効にすると、転送が完了するまで発信者には無音が聞こえます。SIP REFER転送でのみ使用できます。
  - `transfer_type` (enum, optional, default: conference)
    - Allowed values: `blind`, `conference`, `sip_refer`
  - `uui` (UuiTransferConfig, optional) — SIP REFER転送に添付するUser-to-User Information（RFC 7433）。CRM識別子やエスカレーション理由などの通話コンテキストを、転送の境界を越えて引き継ぎます。
- `type`: `standalone_agent`
  - `agent_id` (string, optional) — 会話の転送先エージェントのID。Noneは現在のエージェント内で転送することを意味します。
  - `branch_id` (string, optional) — 対象エージェントの任意のブランチIDです。Noneの場合は対象エージェントのトラフィックデプロイメントに従います。node_idが設定されている場合は、そのメインブランチを使用します。
  - `delay_ms` (integer, optional, default: 0) — 会話を転送する前に適用する人工的な遅延（ミリ秒）。
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `enable_transferred_agent_first_message` (boolean, optional, default: false) — 転送後、転送先エージェントが設定済みの最初のメッセージを送信できるようにするかどうか。
  - `node_id` (string, optional) — 送信先エージェントのワークフロー内にある任意の対象ノードID。設定すると、デフォルトのエントリノードではなく、このノードから転送を開始します。
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。
  - `preserve_client_tts_overrides` (boolean, optional, default: false) — TTSクライアントのオーバーライドを転送先のエージェントに引き継ぐかどうかを定義します。
  - `preserve_voice_settings` (boolean, optional, default: false) — ベース音声、TTSモデル、音声設定を転送先のエージェントに引き継ぐかどうかを定義します。
  - `transfer_message` (string, optional) — 転送を開始する前にユーザーへ送信する任意のメッセージです。
- `type`: `start`
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。
- `type`: `tool`
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。
  - `tools` (list of WorkflowToolLocator, optional) — 並列実行するツールのリスト。すべてのツールが正常に実行された場合、ノード全体が成功と見なされます。
- `type`: `say`
  - `label` (string, required) — UI全体で使用する、人間が読めるノードラベルです。
  - `message` (WorkflowSayNodeModelInputMessage, required) — このノードが発話するメッセージです。正確なテキストには `literal` を使用し、説明からLLMにメッセージを生成させるには `prompt` を使用します。
  - `additional_knowledge_base` (list of KnowledgeBaseLocator, optional) — このノードがメッセージを生成する際に、エージェントのドキュメントに加えてLLMが利用できるナレッジベースのドキュメントです。
  - `additional_prompt` (string, optional) — サブエージェントノードとの一貫性のために受け付けられますが、使用されません。メッセージは `message.prompt` に記述するか、システムプロンプトを `conversation_config.agent.prompt.prompt` に置き換えてください。
  - `additional_tool_ids` (list of string, optional) — サブエージェントノードとの一貫性のために受け付けられますが、使用されません。sayノードはツールを呼び出せません。
  - `conversation_config` (ConversationalConfigApiModelWorkflowOverrideInput, optional) — このノードの発話中に適用される設定のオーバーライドです。音声や、プロンプトメッセージの場合はLLMとシステムプロンプトが含まれます。
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。
  - `wait_for_speech_completion` (boolean, optional, default: false) — trueの場合、メッセージを最後まで発話してからワークフローが次のノードに移動します。
  - `wait_for_user_response` (boolean, optional, default: false) — trueの場合、ノードはメッセージを発話した後、出力エッジを評価する前にユーザーの応答を待ちます。これにより、応答に応じてエッジを分岐できます。ユーザーが応答しない場合、ターンのタイムアウト後にワークフローが進みます。
- `type`: `update_state`
  - `label` (string, required) — UI全体で使用する、人間が読めるノードラベルです。
  - `updates` (list of WorkflowStateUpdateInput, required) — ワークフローがこのノードに到達したときに適用される状態更新です。1つのノードで受け付けられる更新は最大50件です。
  - `edge_order` (list of string, optional) — 評価順の出力エッジID。
  - `position` (PositionInput, optional) — ワークフロー内のノード位置。

### EvaluationSettingsOutput

エージェントのパフォーマンスを評価するための設定です。 エージェントは一連の基準に対して評価され、これらの基準の組み合わせを満たすことが成功として定義されます。

- `criteria` (list of PromptEvaluationCriteria, optional) — エージェントを評価する個別の基準

### AgentAnalysisItemsOutput

- `evaluation_criteria` (list of AgentAnalysisItemsOutputEvaluationCriteriaItem, optional)
- `data_collection` (list of AgentAnalysisItemsOutputDataCollectionItem, optional)

### ConversationInitiationClientDataConfigOutput

- `conversation_config_override` (ConversationConfigClientOverrideConfigOutput, optional) — 会話設定のオーバーライド
- `custom_llm_extra_body` (boolean, optional, default: false) — カスタムLLMの追加ボディを含めるかどうか
- `enable_conversation_initiation_client_data_from_webhook` (boolean, optional, default: false) — Webhookからの会話開始クライアントデータを有効にするかどうか
- `enable_starting_workflow_node_id_from_client` (boolean, optional, default: false) — クライアントが開始クライアントデータでstarting_workflow_node_idを渡せるかどうか。falseの場合、これを送信すると会話の開始に失敗します。
- `enable_procedure_ids_from_client` (boolean, optional, default: false) — クライアントが開始クライアントデータでprocedure_idsを渡し、会話で使用可能なエージェント手順を選択できるかどうか。falseの場合、これを送信すると会話の開始に失敗します。

### AgentWorkspaceOverridesOutput

- `conversation_initiation_client_data_webhook` (ConversationInitiationClientDataWebhook, optional) — 会話開始クライアントデータの送信先Webhook
- `webhooks` (ConvAiWebhooks, optional)

### GuardrailsV1Output

- `version` ("1", optional)
- `focus` (FocusGuardrail, optional)
- `prompt_injection` (PromptInjectionGuardrail, optional)
- `content` (ContentGuardrailOutput, optional)
- `custom` (CustomGuardrailOutput, optional) — ModerationGuardrailパターンに一致するカスタムガードレール用コンテナ

### PrivacyConfigOutput

- `record_voice` (boolean, optional, default: true) — 会話を録音するかどうか
- `retention_days` (integer, optional, default: -1) — 会話を保持する日数。-1は保持期間の制限がないことを示します。
- `delete_transcript_and_pii` (boolean, optional, default: false) — 文字起こしとPIIを削除するかどうか
- `delete_audio` (boolean, optional, default: false) — オーディオを削除するかどうか
- `apply_to_existing_conversations` (boolean, optional, default: false) — 既存の会話にプライバシー設定を適用するかどうか
- `zero_retention_mode` (boolean, optional, default: false) — ゼロ保持モードを有効にするかどうか。PIIデータは保存されません
- `conversation_history_redaction` (ConversationHistoryRedactionConfig, optional) — 会話履歴のPII編集設定

### AlertingSettingsResponse

アラート設定の顧客向けビュー。AdminAlertingSettingsResponseとは異なり、internal_notifiersフィールドはありません。これはElevenLabs内部の配信チャネルであり、そのURLを管理者API以外で返してはなりません。

- `monitor_configs` (map from string to AlertingMonitorConfig, optional)
- `auto_resolve_after_inactive_minutes` (integer, optional)
- `notifiers` (list of AlertingSettingsResponseNotifiersItem, optional)

### SafetyResponseModel

- `is_blocked_ivc` (boolean, optional, default: false)
- `is_blocked_non_ivc` (boolean, optional, default: false)
- `ignore_safety_evaluation` (boolean, optional, default: false)

### PhoneNumberAgentInfo

- `agent_id` (string, required) — エージェントのID
- `agent_name` (string, required) — エージェントの名前。
- `environment` (string, optional) — この番号への通話で環境変数を解決するために使用する環境です。
- `branch_id` (string, optional) — この番号への通話に使用するエージェントブランチ。

### GetPhoneNumberInboundSipTrunkConfigResponseModel

- `allowed_addresses` (list of string, required) — トランクの使用を許可するIPアドレスのリスト。リストの各項目には、個別のIPアドレスまたはCIDRブロックを表すClassless Inter-Domain Routing表記を指定できます。
- `media_encryption` (enum, required, default: allowed)
  - Allowed values: `disabled`, `allowed`, `required`
- `has_auth_credentials` (boolean, required) — 認証情報が設定されているかどうか。
- `allowed_numbers` (list of string, optional) — トランクの使用を許可する電話番号のリスト。
- `username` (string, optional) — SIPトランクのユーザー名（利用可能な場合）
- `remote_domains` (list of string, optional) — TLS証明書の検証に使用するリモートSIPサーバーのドメイン。
- `attributes_to_headers` (map from string to string, optional) — attributes_to_headers用の動的変数名からヘッダー名へのマップ

### GetPhoneNumberOutboundSipTrunkConfigResponseModel

電話番号のSIPトランク設定詳細

- `address` (string, required) — SIP INVITEの送信先ホスト名またはIP
- `transport` (enum, required, default: auto) — SIPトランスポートに使用するプロトコル
  - Allowed values: `auto`, `udp`, `tcp`, `tls`
- `media_encryption` (enum, required, default: allowed) — メディアを暗号化するかどうか（データレイヤー）。
  - Allowed values: `disabled`, `allowed`, `required`
- `has_auth_credentials` (boolean, required) — 認証情報が設定されているかどうか。
- `headers` (map from string to string, optional) — INVITEリクエストのSIPヘッダー
- `attributes_to_headers` (map from string to string, optional) — attributes_to_headers用の動的変数名からヘッダー名へのマップ
- `username` (string, optional) — SIPトランクのユーザー名（利用可能な場合）
- `has_outbound_trunk` (boolean, optional, default: false) — LiveKit SIPアウトバウンドトランクが設定されているかどうか。
- `enabled_codecs` (list of enum, optional) — 発信通話のSDPで提供するメディアコーデック。空の場合、サポートされているすべてのコーデックが提供されます。
  - Allowed values: `G722/8000`, `PCMU/8000`, `PCMA/8000`

### WorkflowEdgeModelOutput

- `source` (string, required) — ソースノードのID。
- `target` (string, required) — ターゲットノードのID。
- `forward_condition` (WorkflowEdgeModelOutputForwardCondition, optional) — エッジを順方向（ソースからターゲット）にたどるために満たす必要がある条件。
- `backward_condition` (WorkflowEdgeModelOutputBackwardCondition, optional) — エッジを逆方向（ターゲットからソース）にたどるために満たす必要がある条件。

### AgentWorkflowResponseModelNodesValue

- `type`: `end`
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `outcome` (enum, required, default: success) — このEndノードに到達したときに、会話を成功または失敗として終了するかどうか。
    - Allowed values: `success`, `failure`
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
- `type`: `override_agent`
  - `additional_knowledge_base` (list of KnowledgeBaseLocator, required) — サブエージェントがアクセスできる追加のナレッジベースドキュメントです。メインエージェントのドキュメントに加えて使用されます。
  - `additional_prompt` (string, required) — このサブエージェントの具体的な目標です。システムプロンプトに追加され、この特定のコンテキストにおけるエージェントの動作をさらに調整するために使用できます。
  - `additional_tool_ids` (list of string, required) — サブエージェントがアクセスできる追加ツールのID。メインエージェントのツールに加えて使用されます。
  - `conversation_config` (ConversationalConfigApiModelWorkflowOverrideOutput, required) — サブエージェントが会話を行っている間に適用される設定のオーバーライド。
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `entry_behavior` (enum, required, default: auto) — このノードに入った直後にレスポンスを生成するか、ユーザー入力を待つかを指定します。"auto"に設定すると、直前のノードのタイプに応じて動作が決まります。"say"ノードおよび"start"ノードの後は"wait_for_user"、それ以外は"generate_immediately"になります。
    - Allowed values: `generate_immediately`, `wait_for_user`, `auto`
  - `label` (string, required) — UI全体で使用する、人間が読めるノードラベルです。
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
- `type`: `phone_number`
  - `custom_sip_headers` (list of WorkflowPhoneNumberNodeModelOutputCustomSipHeadersItem, required) — 通話転送時に含めるカスタムSIPヘッダー。各ヘッダーには静的な値または動的変数参照を指定できます。
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
  - `sip_refer_play_dialtone` (boolean, required, default: true) — Trueの場合、SIP REFER転送の完了中に、元の通話レッグで呼び出し音が再生されます。この音はRTP経由でREFERを実行するSIPピアに送られるため、受信システム（SBCやコンタクトセンターなど）でこの音を聞かせたくない場合は無効にしてください。無効にすると、転送が完了するまで発信者には無音が聞こえます。SIP REFER転送でのみ使用できます。
  - `transfer_destination` (WorkflowPhoneNumberNodeModelOutputTransferDestination, required)
  - `transfer_type` (enum, required, default: conference)
    - Allowed values: `blind`, `conference`, `sip_refer`
  - `post_dial_digits` (WorkflowPhoneNumberNodeModelOutputPostDialDigits, optional) — 通話接続後に送信するDTMF数字（例：内線番号には'ww1234'）。静的値または動的変数参照を指定できます。0.5秒の一時停止には'w'を使用します。Twilio転送でのみサポートされます。
  - `uui` (UuiTransferConfig, optional) — SIP REFER転送に添付するUser-to-User Information（RFC 7433）。CRM識別子やエスカレーション理由などの通話コンテキストを、転送の境界を越えて引き継ぎます。
- `type`: `standalone_agent`
  - `delay_ms` (integer, required, default: 0) — 会話を転送する前に適用する人工的な遅延（ミリ秒）。
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `enable_transferred_agent_first_message` (boolean, required, default: false) — 転送後、転送先エージェントが設定済みの最初のメッセージを送信できるようにするかどうか。
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
  - `preserve_client_tts_overrides` (boolean, required, default: false) — TTSクライアントのオーバーライドを転送先のエージェントに引き継ぐかどうかを定義します。
  - `preserve_voice_settings` (boolean, required, default: false) — ベース音声、TTSモデル、音声設定を転送先のエージェントに引き継ぐかどうかを定義します。
  - `agent_id` (string, optional) — 会話の転送先エージェントのID。Noneは現在のエージェント内で転送することを意味します。
  - `branch_id` (string, optional) — 対象エージェントの任意のブランチIDです。Noneの場合は対象エージェントのトラフィックデプロイメントに従います。node_idが設定されている場合は、そのメインブランチを使用します。
  - `node_id` (string, optional) — 送信先エージェントのワークフロー内にある任意の対象ノードID。設定すると、デフォルトのエントリノードではなく、このノードから転送を開始します。
  - `transfer_message` (string, optional) — 転送を開始する前にユーザーへ送信する任意のメッセージです。
- `type`: `start`
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
- `type`: `tool`
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
  - `tools` (list of WorkflowToolLocator, required) — 並列実行するツールのリスト。すべてのツールが正常に実行された場合、ノード全体が成功と見なされます。
- `type`: `say`
  - `additional_knowledge_base` (list of KnowledgeBaseLocator, required) — このノードがメッセージを生成する際に、エージェントのドキュメントに加えてLLMが利用できるナレッジベースのドキュメントです。
  - `additional_prompt` (string, required) — サブエージェントノードとの一貫性のために受け付けられますが、使用されません。メッセージは `message.prompt` に記述するか、システムプロンプトを `conversation_config.agent.prompt.prompt` に置き換えてください。
  - `additional_tool_ids` (list of string, required) — サブエージェントノードとの一貫性のために受け付けられますが、使用されません。sayノードはツールを呼び出せません。
  - `conversation_config` (ConversationalConfigApiModelWorkflowOverrideOutput, required) — このノードの発話中に適用される設定のオーバーライドです。音声や、プロンプトメッセージの場合はLLMとシステムプロンプトが含まれます。
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `label` (string, required) — UI全体で使用する、人間が読めるノードラベルです。
  - `message` (WorkflowSayNodeModelOutputMessage, required) — このノードが発話するメッセージです。正確なテキストには `literal` を使用し、説明からLLMにメッセージを生成させるには `prompt` を使用します。
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
  - `wait_for_speech_completion` (boolean, required, default: false) — trueの場合、メッセージを最後まで発話してからワークフローが次のノードに移動します。
  - `wait_for_user_response` (boolean, required, default: false) — trueの場合、ノードはメッセージを発話した後、出力エッジを評価する前にユーザーの応答を待ちます。これにより、応答に応じてエッジを分岐できます。ユーザーが応答しない場合、ターンのタイムアウト後にワークフローが進みます。
- `type`: `update_state`
  - `edge_order` (list of string, required) — 評価順の出力エッジID。
  - `label` (string, required) — UI全体で使用する、人間が読めるノードラベルです。
  - `position` (PositionOutput, required) — ワークフロー内のノード位置。
  - `updates` (list of WorkflowStateUpdateOutput, required) — ワークフローがこのノードに到達したときに適用される状態更新です。1つのノードで受け付けられる更新は最大50件です。

### ValidationErrorLocItem

### SoftTimeoutConfig

LLMレスポンス生成中のソフトタイムアウト機能の設定。

- `timeout_seconds` (double, optional, default: -1) — LLMの応答を待つ間に定義済みメッセージを表示するまでの時間（秒）。無効にするには-1を設定します。
- `message` (string, optional, default: Hhmmmm...yeah.) — LLM応答の待機中に最初のソフトタイムアウトに達したときに表示するメッセージ。動的変数（例：\{\{system\_\_time}}、\{\{custom\_variable}}）に対応しています。
- `additional_soft_timeout_messages` (list of string, optional) — 同じLLM生成内で後続のソフトタイムアウト時に使用する追加の固定フィラーメッセージです。最初のタイムアウトでは`message`を使用します。設定されているメッセージ数が`max_soft_timeouts_per_generation`より少ない場合は、最後に設定されたメッセージを繰り返します。それ以外の場合は、組み込みのフィラーを使用します。
- `use_llm_generated_message` (boolean, optional, default: false) — 有効にすると、静的メッセージの代わりにソフトタイムアウトメッセージが動的に生成されます。
- `randomize_fillers` (boolean, optional, default: false) — 有効にすると、各ターンの開始時に静的なソフトタイムアウトメッセージの順序を1回シャッフルします。use_llm_generated_messageがfalseの場合にのみ適用されます。
- `max_soft_timeouts_per_generation` (integer, optional, default: 1) — 1件のLLM応答を待機している間に送信するフィラーメッセージの最大数。LLMがコンテンツのストリーミングを開始するか、この上限に達するまで、timeout_secondsごとに送信されます。
- `llm_generated_message_prompt_override` (string, optional) — use\_llm\_generated\_messageが有効な場合に、ソフトタイムアウト用のフィラーメッセージを生成するカスタムプロンプト。直近の会話コンテキストは別のユーザーメッセージとして提供されます。未設定の場合はデフォルトのプロンプトが使用されます。動的変数（例：\{\{system\_\_time}}、\{\{custom\_variable}}）をサポートします。
- `disable_until_first_user_message` (boolean, optional, default: false) — trueの場合、会話に実際のユーザーメッセージが少なくとも1つ含まれるまで、ソフトタイムアウトのフィラーを抑制します。エージェントの開始ターン中（例：ワークフローの即時生成や、ユーザーの発話前のツール呼び出し）にフィラーが入るのを防ぎます。

### SupportedVoice

- `label` (string, required)
- `voice_id` (string, required)
- `description` (string, optional)
- `language` (string, optional)
- `model_family` (enum, optional)
  - Allowed values: `turbo`, `flash`, `multilingual`, `v3_conversational`, `v4`, `v4_turbo`
- `optimize_streaming_latency` (integer, optional)
- `stability` (double, optional)
- `speed` (double, optional)
- `similarity_boost` (double, optional)

### SuggestedAudioTag

- `tag` (string, required) — 使用するオーディオタグ（最適なパフォーマンスのため、1～2語。例：'happy'、'excited'）
- `description` (string, optional) — このタグを使用するタイミングに関する任意の説明

### PydanticPronunciationDictionaryVersionLocator

他のドキュメントが特定の辞書とそのバージョンを参照できるようにするロケーターです。 これはPronunciationDictionaryVersionLocatorDBModelのPydanticバージョンです。 他のエージェントデータモデルとの互換性を確保するために必要です。

- `pronunciation_dictionary_id` (string, required) — 発音辞書のID
- `version_id` (string, optional) — 発音辞書バージョンのID

### EffectsSpecOutput

生成された音声に適用するオーディオエフェクトです。フィルタープリセット、知覚距離、リバーブ 環境、バックグラウンドノイズベッド、ステレオパンニングを含みます。未処理のオーディオを取得するには、すべてのフィールドをデフォルト値のままにしてください。

- `distance` (double, required, default: 0) — 話者がマイクからどの程度離れて聞こえるかを指定します。0（近い、変更なし）から1（遠い）までです。値を大きくすると低域と高域が減衰し、環境が設定されている場合は、ドライ音声からリバーブへのバランスが移動します。
- `send_level` (double, required, default: 1) — 音声をどの程度リバーブに送るかを指定します。0（なし）から1（最大）までです。`environment_id` が設定されている場合にのみ適用されます。0ではリバーブが無効になります。
- `pan` (double, required, default: 0) — 音声のステレオ位置。-1（左端）から0（中央）を経て1（右端）まで指定します。パンニングされるのは音声のみで、リバーブとバックグラウンドノイズは中央のままです。
- `filter_preset_id` (string, optional) — `phone` や `old_radio` など、音声の音色を変えるフィルタープリセットのID。有効なIDは `GET /v1/audio-effects/catalog` で取得できます。
- `environment_id` (string, optional) — `small_room` や `hall` など、音声を空間内に配置するリバーブ環境のID。有効なIDは `GET /v1/audio-effects/catalog` で取得できます。リバーブはステレオでレンダリングされ、音声終了後に最大数秒の残響が追加されます。
- `background_noise_id` (string, optional) — `cafe` や `keyboard` など、音声の下でループ再生するバックグラウンドノイズベッドのID。有効なIDは `GET /v1/audio-effects/catalog` で取得できます。

### FileInputConfig

- `enabled` (boolean, optional, default: true) — 有効にすると、LLMがマルチモーダル入力をサポートしている場合、ユーザーはチャットで画像、PDF、またはテキストファイルを添付できます。
- `max_files_in_memory` (integer, optional, default: 10) — 会話中にメモリに保持する最新ファイル数です。古いファイルは要約され、そのバイトデータは解放されます。
- `max_files_per_conversation` (integer, optional, default: 10) — 1回の会話でユーザーがアップロードできるファイルの合計数。アップロードはファイルごとに課金されます。無制限の場合は-1、またはmax_files_in_memory以上の値を使用します。

### DtmfInputConfig

電話中のDTMF（キーパッド）入力収集の設定。

- `dtmf_input_timeout` (double, optional, default: 2) — 追加のDTMF数字を待機するタイムアウト（秒）
- `hash_terminator` (boolean, optional, default: true) — trueの場合、#を押すと直ちにDTMF入力が完了します
- `redact_input` (boolean, optional, default: false) — trueの場合、発信者のDTMF（キーパッド）入力を文字起こし、会話ログ、分析内でマスキングマーカーに置き換えます。エージェントが復唱する数字やツールに渡す数字は影響を受けません。

### BackgroundSoundConfig

- `source_type` ("preset", optional) — バックグラウンドサウンドのソースタイプです。
- `source_id` (enum, optional) — サウンドソースの識別子。
  - Allowed values: `office2`, `office1`, `restaurant`, `city`, `typing`, `elevator1`, `elevator2`, `elevator3`, `elevator4`
- `volume` (double, optional, default: 0.15) — バックグラウンドサウンドの音量レベル（0.01～1.0）。
- `crossfade_loop` (boolean, optional, default: true) — サウンドのループ時にポップノイズが聞こえるのを防ぐため、ループ境界にクロスフェードを適用します。

### ConversationConfigClientOverrideOutput

- `asr` (AsrConversationalConfigOverride, optional) — 会話用文字起こしの設定
- `turn` (TurnConfigOverride, optional) — ターン検出の設定
- `tts` (TtsConversationalConfigOverride, optional) — 会話用テキスト読み上げの設定
- `conversation` (ConversationConfigOverride, optional) — 会話イベントの設定
- `agent` (AgentConfigOverrideOutput, optional) — エージェント固有の設定

### LanguagePresetTranslation

- `source_hash` (string, required)
- `text` (string, required)

### BehaviorOverride

- `verbosity` (enum, optional) — 詳細度のオーバーライド。未設定の場合は基となるデフォルトが適用されます。
  - Allowed values: `auto`, `concise`, `thorough`
- `output_format` (enum, optional) — 出力形式のオーバーライド。未設定の場合は、基になるデフォルトが適用されます。
  - Allowed values: `mp3_22050_32`, `mp3_44100_32`, `mp3_44100_64`, `mp3_44100_96`, `mp3_44100_128`, `mp3_44100_192`, `pcm_16000`, `pcm_22050`, `pcm_24000`, `pcm_44100`, `ulaw_8000`
- `interaction_budget` (enum, optional) — インタラクション予算の上書きです。未設定の場合は基盤となるデフォルトが適用されます。
  - Allowed values: `realtime`, `5_minutes`, `10_minutes`, `1_hour`

### PromptAgentApiModelOutput

- `prompt` (string, optional, default: ) — エージェント用のプロンプト
- `llm` (enum, optional) — プロンプトとチャット履歴を使用してクエリするLLM。データレジデンシーを使用する場合、LLMはデータレジデンシー環境でサポートされている必要があります。
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `reasoning_effort` (enum, optional) — モデルの推論量。一部のモデルでのみ利用できます。
  - Allowed values: `none`, `minimal`, `low`, `medium`, `high`, `xhigh`, `max`
- `thinking_budget` (integer, optional) — 思考に使用する最大トークン数。モデルが対応している場合は、0を指定すると無効になります。
- `enable_reasoning_summary` (boolean, optional, default: false) — モデルの推論要約を有効にします。無効にすると、TTFBを高速化するため、可能な場合はプロバイダーに要約をリクエストしません。ZRMには対応していません。
- `temperature` (double, optional) — LLMのtemperature。デフォルトは0です。nullに設定すると、LLMリクエストからこのパラメータを完全に省略します（temperatureフィールドを受け付けないカスタムLLMで有用です）。
- `max_tokens` (integer, optional, default: -1) — 0より大きい場合、LLMが予測できるトークンの最大数
- `tool_ids` (list of string, optional) — エージェントが使用するツールIDのリストです。
- `tool_ids_strict` (boolean, optional, default: false) — 会話のオーバーライドとしてのみ適用され、tool_idsのオーバーライドが許可される場合に使用できます。trueの場合、オーバーライドされたtool_idsは、ワークフローノード上のツールを含む、その会話で許可されるツールの完全な一覧です。エージェントに設定した場合は無視されます。
- `built_in_tools` (BuiltInToolsOutput, optional) — エージェントが使用する組み込みシステムツール
- `enable_parallel_tool_calls` (boolean, optional, default: true) — 並列ツール呼び出しを有効にします。有効にすると、エージェントは1つのターン内で複数のツールを並列実行できます。すべてのモデルでサポートされているわけではありません。
- `mcp_server_ids` (list of string, optional) — エージェントが使用するMCPサーバーIDの一覧
- `native_mcp_server_ids` (list of string, optional) — エージェントが使用するネイティブMCPサーバーIDの一覧
- `knowledge_base` (list of KnowledgeBaseLocator, optional) — エージェントが使用するナレッジベースの一覧
- `custom_llm` (CustomLlm, optional) — LLMフィールドが'CUSTOM_LLM'に設定されている場合のカスタムLLMの定義
- `ignore_default_personality` (boolean, optional) — システムプロンプトからデフォルトの人格に関する行を削除するかどうか
- `rag` (RagConfigOutput, optional) — RAGの設定
- `timezone` (string, optional) — システムプロンプトで現在時刻を表示するためのタイムゾーン。設定すると、このタイムゾーンを使用した現在時刻がシステムプロンプトに含まれます。有効なタイムゾーン名（例：'America/New_York'、'Europe/London'、'UTC'）を指定する必要があります。正確な時刻認識応答のために推奨されます。設定しない場合、動的変数またはツールで現在日時を提供しない限り、エージェントは現在日時を認識できず、不正確な時刻参照やハルシネーションにつながる可能性があります。
- `backup_llm_config` (PromptAgentApiModelOutputBackupLlmConfig, optional) — バックアップLLMカスケードの設定です。無効化するか、システムのデフォルトを使用するか、カスタムの順序を指定できます。
- `cascade_timeout_seconds` (double, optional, default: 4) — バックアップLLMに切り替えるまでの時間（秒）。2～15秒である必要があります。
- `tools` (list of PromptAgentApiModelOutputToolsItem, optional, deprecated) — エージェントが会話中に使用できるツールの一覧です。代わりにtool_idsを使用してください。

### PromptEvaluationCriteria

トランスクリプトと、達成したかどうかをYes／Noで回答するプロンプトを使用した評価

- `id` (string, required) — 評価基準の一意の識別子
- `name` (string, required)
- `conversation_goal_prompt` (string, required) — エージェントが会話の評価に使用するプロンプト
- `type` ("prompt", optional) — 評価基準のタイプ
- `use_knowledge_base` (boolean, optional, default: false) — プロンプトを評価する際に、エージェントのナレッジベースを使用するかどうか。
- `scope` (enum, optional, default: conversation) — この基準の評価時に使用する文字起こしコンテキストの範囲。「conversation」は文字起こし全体を使用し、「agent」は定義元エージェントがアクティブだった部分のみを使用します。
  - Allowed values: `conversation`, `agent`
- `llm` (enum, optional) — この評価基準に使用するLLMモデル。設定されていない場合は、エージェントのanalysis_llmのデフォルトを使用します。
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `scoring_mode` (enum, optional, default: binary) — この基準のスコアリング方法です。'binary'は成功／失敗／不明に判定されます。'numeric_uniform'は[0, max_score]スケールの数値を返し、総合会話成功率に正規化されます。
  - Allowed values: `binary`, `numeric_uniform`
- `max_score` (integer, optional, default: 100) — 数値スコアスケールの最大値（最小値は常に0）。scoring_modeが'numeric_uniform'の場合にのみ使用されます。
- `score_instructions` (string, optional) — 数値スケールへの値の割り当て方法を説明する任意の自由記述指示です。scoring_modeが'numeric_uniform'の場合にのみ使用されます。

### WidgetConfigAvatar

ウィジェットのアバター

- `type`: `orb`
  - `color_1` (string, optional, default: #2792dc) — アバターの1番目の色
  - `color_2` (string, optional, default: #9ce6e6) — アバターの2番目の色
- `type`: `url`
  - `custom_url` (string, optional, default: ) — アバターのカスタムURL
- `type`: `image`
  - `url` (string, optional, default: ) — アバターのURL

### WidgetEndFeedbackConfig

- `type` ("rating", optional) — 会話終了時に収集するフィードバックのタイプ

### AllowlistItem

- `hostname` (string, required) — 許可されたオリジンのホスト名

### WidgetTextContents

- `main_label` (string, optional) — コンパクト版とフル版の内部に表示する行動喚起。
- `start_call` (string, optional) — 通話開始ボタンのテキストとARIAラベル。
- `start_chat` (string, optional) — チャット開始ボタンのテキストとARIAラベル（テキストのみ）。
- `new_call` (string, optional) — 新しい通話ボタンのテキストとARIAラベル。発信者が次の通話を開始するために、すでに少なくとも1回の通話を完了している場合に表示されます。
- `end_call` (string, optional) — 通話終了ボタンのテキストとARIAラベル。
- `mute_microphone` (string, optional) — マイクをミュートするボタンのARIAラベル。
- `change_language` (string, optional) — 言語変更ドロップダウンのARIAラベル。
- `collapse` (string, optional) — 折りたたみボタンのARIAラベル。
- `expand` (string, optional) — 展開ボタンのARIAラベル。
- `copied` (string, optional) — ユーザーがコピーボタンで値をコピーしたときに表示するテキスト。
- `accept_terms` (string, optional) — 利用規約に同意するボタンのテキストとARIAラベル。
- `dismiss_terms` (string, optional) — 利用規約のキャンセルボタンのテキストとARIAラベル。
- `listening_status` (string, optional) — エージェントが聞き取り中に表示するステータス。
- `speaking_status` (string, optional) — エージェントが話しているときに表示するステータス。
- `connecting_status` (string, optional) — エージェントが接続中に表示するステータス。
- `chatting_status` (string, optional) — エージェントがチャット中に表示するステータス（テキストのみ）。
- `queue_waiting_status` (string, optional) — 利用可能なエージェントをキューで待機中に表示するステータス。
- `queue_waiting_status_short` (string, optional) — 利用可能なエージェントを待機中に表示する短いステータス。
- `input_label` (string, optional) — テキストメッセージ入力欄のARIAラベル。
- `input_placeholder` (string, optional) — テキストメッセージ入力欄のプレースホルダーテキスト。
- `input_placeholder_text_only` (string, optional) — テキストメッセージ入力欄のプレースホルダーテキスト（テキストのみ）
- `input_placeholder_new_conversation` (string, optional) — 新しい会話を開始する際のテキストメッセージ入力欄のプレースホルダーテキスト（テキストのみ）
- `user_ended_conversation` (string, optional) — ユーザーが会話を終了したときに表示される案内メッセージです。
- `agent_ended_conversation` (string, optional) — エージェントが会話を終了したときに表示される案内メッセージです。
- `conversation_id` (string, optional) — 会話IDの横に使用するテキストラベル。
- `error_occurred` (string, optional) — エラー発生時に使用するテキストラベル。
- `queue_timed_out` (string, optional) — キューの待機がタイムアウトした場合に表示するエラーメッセージ。
- `copy_id` (string, optional) — IDコピーボタンに使用するテキストとARIAラベル。
- `initiate_feedback` (string, optional) — ユーザーにフィードバックを促すために表示するテキスト。
- `request_follow_up_feedback` (string, optional) — 追加のフィードバック詳細を求めるために表示するテキスト。
- `thanks_for_feedback` (string, optional) — フィードバックを提供したユーザーに感謝を伝えるために表示するテキスト。
- `thanks_for_feedback_details` (string, optional) — ユーザーフィードバックの価値を説明するために表示される追加テキスト。
- `follow_up_feedback_placeholder` (string, optional) — フォローアップフィードバック入力欄のプレースホルダーテキスト。
- `submit` (string, optional) — 送信ボタンのテキストとARIAラベル。
- `go_back` (string, optional) — 戻るボタンのテキストとARIAラベル。
- `send_message` (string, optional) — メッセージ送信ボタンのテキストとARIAラベル。
- `text_mode` (string, optional) — テキストモード切り替えボタンのテキストとARIAラベル。
- `voice_mode` (string, optional) — 音声モード切り替えボタンのテキストとARIAラベル。
- `switched_to_text_mode` (string, optional) — テキストモードに切り替えた際に表示されるトースト通知。
- `switched_to_voice_mode` (string, optional) — 音声モードに切り替えた際に表示されるトースト通知。
- `copy` (string, optional) — コピーボタンのテキストとARIAラベル。
- `download` (string, optional) — ダウンロードボタンのテキストとARIAラベル。
- `wrap` (string, optional) — 折り返し切り替えボタンのテキストとARIAラベル。
- `agent_working` (string, optional) — エージェントがツール呼び出しを処理中に表示するステータステキスト。
- `agent_done` (string, optional) — エージェントがツール呼び出しの処理を完了したときに表示するステータステキスト。
- `agent_error` (string, optional) — エージェントがツール呼び出し中にエラーに遭遇したときに表示するステータステキスト。
- `attach_file` (string, optional) — ファイル添付ボタンのテキストとARIAラベル。
- `remove_file` (string, optional) — ファイル削除ボタンのARIAラベル。
- `file_upload_error` (string, optional) — ファイルのアップロードに失敗した場合に表示するエラーメッセージです。
- `file_type_unsupported` (string, optional) — サポートされていないファイルタイプが選択された場合に表示するエラーメッセージです。後ろに受け付け可能なタイプの一覧が続きます。
- `file_too_large` (string, optional) — ファイルが最大サイズ制限を超えた場合に表示するエラーメッセージです。
- `file_limit_reached` (string, optional) — 会話で許可されるファイル数の上限に達した場合に表示するエラーメッセージです。
- `typing_indicator` (string, optional) — エージェントが入力中に表示するステータステキスト。
- `rich_content_unavailable` (string, optional) — リッチコンテンツをレンダリングできない場合に表示するフォールバックメッセージ。

### WidgetStyles

- `base` (string, optional) — ベース背景色。
- `base_hover` (string, optional) — ホバー時のベース背景色。
- `base_active` (string, optional) — アクティブ時（クリック時）のベース背景色。
- `base_border` (string, optional) — ベース背景上の境界線の色。
- `base_subtle` (string, optional) — ベース背景上の補助テキストの色。
- `base_primary` (string, optional) — ベース背景上の主要テキストの色。
- `base_error` (string, optional) — ベース背景上のエラーテキストの色。
- `accent` (string, optional) — アクセントの背景色。
- `accent_hover` (string, optional) — ホバー時のアクセント背景色。
- `accent_active` (string, optional) — アクティブ時（クリック時）のアクセント背景色。
- `accent_border` (string, optional) — アクセント背景上の境界線の色。
- `accent_subtle` (string, optional) — アクセント背景上の補助テキストの色。
- `accent_primary` (string, optional) — アクセント背景上の主要テキストの色。
- `overlay_padding` (double, optional) — ビューポートの端の周囲にあるパディング。
- `button_radius` (double, optional) — ボタンの角丸半径。
- `input_radius` (double, optional) — 入力フィールドの角丸半径。
- `bubble_radius` (double, optional) — チャットバブルの角丸半径。
- `sheet_radius` (double, optional) — シートのデフォルトの角丸半径。
- `compact_sheet_radius` (double, optional) — コンパクトモードのシートの角丸半径。
- `dropdown_sheet_radius` (double, optional) — ドロップダウンシートの角丸半径。

### WidgetLanguagePreset

- `text_contents` (WidgetTextContents, optional) — 選択した言語のテキスト内容
- `text_contents_translation` (WidgetTextContentsTranslation, optional) — テキストコンテンツの翻訳キャッシュ
- `terms_text` (string, optional) — この言語で利用規約として表示するテキスト
- `terms_html` (string, optional) — この言語の利用規約として表示するHTML
- `terms_key` (string, optional) — この言語で利用規約を表示するためのキー。
- `terms_translation` (WidgetTermsTranslation, optional) — 用語の翻訳キャッシュ

### AllowedValues

- `dynamic_variable` (string, required) — 許可された値のJSON配列に解決される必要がある動的変数の名前（例：["ws_alpha", "ws_beta"]）。システム変数は、リストに解決される場合にのみ機能します。

### AnalysisPropertyConstantValue

このプロパティに使用する定数値です。description、dynamic_variable、is_system_provided、is_omittedとは同時に使用できません。

### AgentAnalysisItemsInputEvaluationCriteriaItem

- `source`: `system`
  - `analysis_item_id` (enum, required) — 参照先の組み込みシステム評価のID。
    - Allowed values: `__system_eval_criteria_sentiment`, `__system_eval_criteria_frustration`
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
  - `weight` (double, optional) — 集計スコアリング用の任意の相対重みです。
- `source`: `user`
  - `analysis_item_id` (string, required) — 参照先のユーザー評価アイテムのID。
  - `additional_version_ids` (list of string, optional) — 比較（A/B）のために追加で実行する項目バージョンです。これらは実行および保存されますが、スコアリングからは除外されます。スコアリングされるのはプライマリのversion_idです。
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
  - `version_id` (string, optional) — 結果がスコアリングに使用される主項目のバージョン。Noneの場合、項目の最新公開バージョンを追跡します。
  - `weight` (double, optional) — 集計スコアリング用の任意の相対重みです。

### AgentAnalysisItemsInputDataCollectionItem

- `source`: `system`
  - `analysis_item_id` ("__system_data_collection_topic", required) — 参照先の組み込みシステムデータ収集アイテムのID。
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
- `source`: `user`
  - `analysis_item_id` (string, required) — 参照先のユーザーデータ収集アイテムのID。
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
  - `version_id` (string, optional) — 固定された項目バージョン。Noneの場合、項目の最新公開バージョンを追跡します。

### ConversationConfigClientOverrideConfigInput

- `asr` (AsrConversationalConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `turn` (TurnConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `tts` (TtsConversationalConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `conversation` (ConversationConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `agent` (AgentConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。

### ConversationInitiationClientDataWebhook

- `url` (string, required) — Webhookの送信先URL
- `request_headers` (map from string to ConversationInitiationClientDataWebhookRequestHeadersValue, required) — Webhookリクエストで送信するヘッダー

### ConvAiWebhooks

- `post_call_webhook_id` (string, optional)
- `events` (list of enum, optional) — Webhook経由で送信するイベントタイプのリスト。選択肢：transcript、audio、call_initiation_failure、answering_machine_detection、unredacted_transcript、unredacted_audio。
  - Allowed values: `transcript`, `audio`, `call_initiation_failure`, `answering_machine_detection`, `unredacted_transcript`, `unredacted_audio`
- `transcript_format` (enum, optional, default: json) — 文字起こしWebhookの形式。
  - Allowed values: `json`, `opentelemetry`
- `exclude_transcript` (boolean, optional, default: false) — trueの場合、JSONの通話後文字起こしWebhookではターンごとの文字起こしが省略されます。分析、メタデータ、その他の会話フィールドは引き続き送信されます。OpenTelemetryの文字起こし形式では無視されます。
- `send_audio` (boolean, optional, deprecated) — 非推奨：代わりに'events'フィールドを使用してください。ConvAI会話の通話後Webhookでオーディオデータを送信するかどうか。

### AttachedTestModel

- `test_id` (string, required)
- `workflow_node_id` (string, optional)

### FocusGuardrail

- `is_enabled` (boolean, optional, default: false)

### PromptInjectionGuardrail

- `is_enabled` (boolean, optional, default: false)

### ContentGuardrailInput

- `execution_mode` (enum, optional, default: streaming)
  - Allowed values: `streaming`, `blocking`
- `config` (ContentConfig, optional)
- `trigger_action` (ContentGuardrailInputTriggerAction, optional)

### CustomGuardrailInput

ModerationGuardrailパターンに一致するカスタムガードレール用コンテナ

- `config` (CustomGuardrailsConfigInput, optional) — カスタムガードレールリスト用の設定コンテナ

### AgentHoldAudioConfig

エージェントのキューで待機中の発信者にループ再生されるカスタム保留オーディオ。 エージェントの保留オーディオエンドポイントからファイルをアップロードして設定します。 エージェントの作成または更新リクエストで送信された値は無視されます。

- `audio_path` (string, required) — アップロードしたクリップのストレージパス。
- `audio_url` (string, required) — アップロードしたクリップの公開CDN URL
- `original_filename` (string, required) — ユーザーが指定したアップロード済みクリップのファイル名
- `duration_secs` (double, required) — アップロードしたクリップの長さ（秒）
- `size_bytes` (integer, required) — アップロードしたクリップのサイズ（バイト）

### ConversationHistoryRedactionConfig

- `enabled` (boolean, optional, default: false) — 会話履歴の編集が有効かどうか。
- `entities` (list of enum, optional) — 会話の文字起こし、オーディオ、分析から編集するエンティティです。'name'や'email_address'などのトップレベルタイプ、または'name.full_name'のような特定のサブタイプにはドット記法を使用します。
  - Allowed values: `name`, `name.name_given`, `name.name_family`, `name.name_other`, `email_address`, `contact_number`, `dob`, `age`, `religious_belief`, `political_opinion`, `sexual_orientation`, `ethnicity_race`, `marital_status`, `occupation`, `physical_attribute`, `language`, `username`, `password`, `url`, `organization`, `financial_id`, `financial_id.payment_card`, `financial_id.payment_card.payment_card_number`, `financial_id.payment_card.payment_card_expiration_date`, `financial_id.payment_card.payment_card_cvv`, `financial_id.bank_account`, `financial_id.bank_account.bank_account_number`, `financial_id.bank_account.bank_routing_number`, `financial_id.bank_account.swift_bic_code`, `financial_id.financial_id_other`, `location`, `location.location_address`, `location.location_city`, `location.location_postal_code`, `location.location_coordinate`, `location.location_state`, `location.location_country`, `location.location_other`, `date`, `date_interval`, `unique_id`, `unique_id.government_issued_id`, `unique_id.account_number`, `unique_id.vehicle_id`, `unique_id.healthcare_number`, `unique_id.healthcare_number.medical_record_number`, `unique_id.healthcare_number.health_plan_beneficiary_number`, `unique_id.device_id`, `unique_id.unique_id_other`, `medical`, `medical.medical_condition`, `medical.medication`, `medical.medical_procedure`, `medical.medical_measurement`, `medical.medical_other`
- `excluded_data_collection_ids` (list of string, optional) — 抽出値がマスキングされないデータ収集項目IDです。根拠は引き続きマスキングされます。

### AlertingMonitorConfig

- `enabled` (boolean, optional) — このモニターが有効で、通知できるかどうか
- `threshold` (double, optional) — このモニターが通知できる失敗率のしきい値です。
- `relative_increase_threshold` (double, optional) — このモニターが通知する、直近のベースラインに対する相対的な増加率です（0.2＝ベースラインより20%上、0＝すべての失敗）。conversation_volume_dropの場合は、通常の音量に対して欠落している必要がある割合で、0.1〜0.9の範囲です（0.5＝半分）。
- `min_failure_count` (integer, optional) — このモニターが発火するまでにウィンドウ内で必要な最小失敗数。
- `min_history_bucket_count` (integer, optional) — スパイク検出が発火するまでに必要な、トラフィックを含む直近バケットの最小数。
- `min_sample_count` (integer, optional) — このモニターが発火するまでにウィンドウ内で必要な最小サンプル数。
- `suspect_trigger_threshold` (integer, optional) — 疑いのある項目をアラートに昇格するために、ルックバックウィンドウ内で必要となる疑わしいバケット数です。
- `auto_resolve_after_inactive_minutes` (integer, optional) — アラートが自動解決されるまで非アクティブな状態を維持できる時間（分）です。

### AlertingSettingsNotifiersItem

- `type`: `webhook`
  - `webhook_id` (string, required) — アラートのライフサイクル通知の配信先となるワークスペースWebhookのID。
- `type`: `integration`
  - `connection_id` (string, required) — アラートのライフサイクル通知の配信先となるワークスペースインテグレーション接続のID。接続のインテグレーションには監視機能があり、``integration_type``と一致している必要があります。
  - `channel_id` (string, optional) — アラート通知を投稿するSlackチャンネルのID（例：``C0123456789``）。``integration_type``が``slack``の場合は必須です。Slackアプリはチャンネルのメンバーであり、``chat:write``スコープを持つ必要があります。未参加のパブリックチャンネルでは、``chat:write.public``スコープが必要です。
  - `integration_type` (enum, optional) — 配信先のインテグレーションです。値を省略した場合、サーバーは``pagerduty``として扱います。
    - Allowed values: `pagerduty`, `slack`

### WorkflowEdgeModelInputForwardCondition

- `type`: `expression`
  - `expression` (AstNodeInput, required) — 評価する式です。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `llm`
  - `condition` (string, required) — 評価する条件
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `result`
  - `successful` (boolean, required) — 前回実行されたツールノード内のすべてのツールが正常に実行されたかどうか。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `unconditional`
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。

### WorkflowEdgeModelInputBackwardCondition

- `type`: `expression`
  - `expression` (AstNodeInput, required) — 評価する式です。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `llm`
  - `condition` (string, required) — 評価する条件
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `result`
  - `successful` (boolean, required) — 前回実行されたツールノード内のすべてのツールが正常に実行されたかどうか。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `unconditional`
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。

### PositionInput

- `x` (double, optional, default: 0)
- `y` (double, optional, default: 0)

### KnowledgeBaseLocator

- `type` (enum, required) — ナレッジベースのタイプ
  - Allowed values: `file`, `url`, `text`, `folder`
- `name` (string, required) — ナレッジベースの名前。
- `id` (string, required) — ナレッジベースのID
- `usage_mode` (enum, optional, default: auto) — ナレッジベースの使用モード
  - Allowed values: `prompt`, `auto`

### ConversationalConfigApiModelWorkflowOverrideInput

- `asr` (AsrConversationalConfigWorkflowOverride, optional) — 会話用文字起こしの設定
- `turn` (TurnConfigWorkflowOverride, optional) — ターン検出の設定
- `tts` (TtsConversationalConfigWorkflowOverrideInput, optional) — 会話用テキスト読み上げの設定
- `conversation` (ConversationConfigWorkflowOverrideInput, optional) — 会話イベントの設定
- `language_presets` (map from string to LanguagePresetInput, optional) — 会話用の言語プリセット
- `vad` (VadConfigWorkflowOverride, optional) — 音声アクティビティ検出の設定
- `agent` (AgentConfigApiModelWorkflowOverrideInput, optional) — エージェント固有の設定

### WorkflowPhoneNumberNodeModelInputTransferDestination

- `type`: `phone`
  - `phone_number` (string, required)
- `type`: `phone_dynamic_variable`
  - `phone_number` (string, required)
- `type`: `sip_uri`
  - `sip_uri` (string, required)
- `type`: `sip_uri_dynamic_variable`
  - `sip_uri` (string, required)

### WorkflowPhoneNumberNodeModelInputCustomSipHeadersItem

- `type`: `dynamic`
  - `key` (string, required) — SIPヘッダー名（例：'X-Customer-ID'）
  - `value` (string, required) — 解決する動的変数名
- `type`: `static`
  - `key` (string, required) — SIPヘッダー名（例：'X-Customer-ID'）
  - `value` (string, required) — ヘッダー値

### WorkflowPhoneNumberNodeModelInputPostDialDigits

- `type`: `dynamic`
  - `value` (string, required) — 解決する動的変数名
- `type`: `static`
  - `value` (string, required) — 通話接続後に送信するDTMF数字（例：内線番号には'ww1234'）

### UuiTransferConfig

SIP REFER転送用のUser-to-User Informationエンベロープ（RFC 7433）。 送信ペイロードは16進数でエンコードされます（RFC 7433で定義されている唯一のエンコード方式です）。 プロトコル識別子の軸により、プラットフォームごとの形式（Talkdesk、Genesysなど）を、分散した転送フラグではなく設定で表現できます。転送モデルを変更せずに、 追加の軸（ASCIIエンコード、ヘッダー名、目的／コンテンツパラメータ）をここに追加できます。

- `data` (string, required) — SIP REFER転送時に送信するUUIペイロード。インライン動的変数をサポートし、転送時に16進数でエンコードされます。
- `protocol_discriminator` (string, optional) — 任意の1オクテットプロトコル識別子（16進数2桁、例：'00'）です。Genesys Cloudなど、指定しない場合にペイロードの先頭オクテットを削除するプラットフォームでは必須です。裸の16進ペイロードを期待するTalkdeskなどのプラットフォームでは設定しないでください。
- `protocol_discriminator_mode` (enum, optional, default: prefix) — protocol\_discriminatorの付加方法です。'prefix'は16進ペイロードの先頭にオクテットを追加します（User-to-User=XX\<hex>;encoding=hex）。'pd\_parameter'は別のパラメーターとして送信します（User-to-User=\<hex>;pd=XX;encoding=hex）。protocol\_discriminatorが未設定の場合は無視されます。
  - Allowed values: `prefix`, `pd_parameter`

### WorkflowToolLocator

- `tool_id` (string, required)
- `schema_overrides` (map from string to WorkflowToolLocatorSchemaOverridesValue, optional) — ツール固有の設定に加えて適用されるノードごとのパラメーターオーバーライド。キーはドット区切りのパラメーターパスです（Webhookツールでは、キーにpath_params./query_params./request_body.のプレフィックスが付きます）。ツール自体にすでに定義されているオーバーライドより優先されます。

### WorkflowSayNodeModelInputMessage

このノードが発話するメッセージです。正確なテキストには `literal` を使用し、説明からLLMにメッセージを生成させるには `prompt` を使用します。

- `type`: `literal`
  - `text` (string, required) — エージェントが発話する正確なテキストです。`{{variable_name}}` の動的変数プレースホルダーに対応しています。
  - `text_translations` (map from string to TranslatedString, optional) — 言語コードをキーとする `text` の翻訳です。会話言語に対応するエントリがある場合は、`text` の代わりにその値が発話されます。
- `type`: `prompt`
  - `prompt` (string, required) — LLMが生成するメッセージの説明です。このノードがアクティブな間、エージェントのシステムプロンプトに追加されます。

### WorkflowStateUpdateInput

- `variable_name` (string, required) — 割り当てる動的変数の名前です。
- `expression` (AstNodeInput, required) — 結果が変数に割り当てられる式です。定数、他の動的変数、LLMで抽出した値、演算子を組み合わせられます。
- `type` ("dynamic_variable", optional)
- `required` (boolean, optional, default: true) — falseの場合、LLMはこの更新が依存する値を省略することがあります。その場合、更新はスキップされ、変数は現在の値を維持します。

### AgentAnalysisItemsOutputEvaluationCriteriaItem

- `source`: `system`
  - `analysis_item_id` (enum, required) — 参照先の組み込みシステム評価のID。
    - Allowed values: `__system_eval_criteria_sentiment`, `__system_eval_criteria_frustration`
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
  - `weight` (double, optional) — 集計スコアリング用の任意の相対重みです。
- `source`: `user`
  - `analysis_item_id` (string, required) — 参照先のユーザー評価アイテムのID。
  - `additional_version_ids` (list of string, optional) — 比較（A/B）のために追加で実行する項目バージョンです。これらは実行および保存されますが、スコアリングからは除外されます。スコアリングされるのはプライマリのversion_idです。
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
  - `version_id` (string, optional) — 結果がスコアリングに使用される主項目のバージョン。Noneの場合、項目の最新公開バージョンを追跡します。
  - `weight` (double, optional) — 集計スコアリング用の任意の相対重みです。

### AgentAnalysisItemsOutputDataCollectionItem

- `source`: `system`
  - `analysis_item_id` ("__system_data_collection_topic", required) — 参照先の組み込みシステムデータ収集アイテムのID。
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
- `source`: `user`
  - `analysis_item_id` (string, required) — 参照先のユーザーデータ収集アイテムのID。
  - `scope` (enum, optional, default: conversation) — この項目の実行時に使用される文字起こしコンテキスト（'conversation'または'agent'）。
    - Allowed values: `conversation`, `agent`
  - `version_id` (string, optional) — 固定された項目バージョン。Noneの場合、項目の最新公開バージョンを追跡します。

### ConversationConfigClientOverrideConfigOutput

- `asr` (AsrConversationalConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `turn` (TurnConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `tts` (TtsConversationalConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `conversation` (ConversationConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。
- `agent` (AgentConfigOverrideConfig, optional) — ネストされたフィールドのオーバーライドを設定します。

### ContentGuardrailOutput

- `execution_mode` (enum, optional, default: streaming)
  - Allowed values: `streaming`, `blocking`
- `config` (ContentConfig, optional)
- `trigger_action` (ContentGuardrailOutputTriggerAction, optional)

### CustomGuardrailOutput

ModerationGuardrailパターンに一致するカスタムガードレール用コンテナ

- `config` (CustomGuardrailsConfigOutput, optional) — カスタムガードレールリスト用の設定コンテナ

### AlertingSettingsResponseNotifiersItem

- `type`: `webhook`
  - `webhook_id` (string, required)
- `type`: `integration`
  - `connection_id` (string, required)
  - `channel_id` (string, optional)
  - `integration_type` (enum, optional)
    - Allowed values: `pagerduty`, `slack`

### WorkflowEdgeModelOutputForwardCondition

- `type`: `expression`
  - `expression` (AstNodeOutput, required) — 評価する式です。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `llm`
  - `condition` (string, required) — 評価する条件
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `result`
  - `successful` (boolean, required) — 前回実行されたツールノード内のすべてのツールが正常に実行されたかどうか。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `unconditional`
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。

### WorkflowEdgeModelOutputBackwardCondition

- `type`: `expression`
  - `expression` (AstNodeOutput, required) — 評価する式です。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `llm`
  - `condition` (string, required) — 評価する条件
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `result`
  - `successful` (boolean, required) — 前回実行されたツールノード内のすべてのツールが正常に実行されたかどうか。
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。
- `type`: `unconditional`
  - `label` (string, optional) — UI全体で使用する条件の、人が読める任意のラベルです。

### PositionOutput

- `x` (double, required, default: 0)
- `y` (double, required, default: 0)

### ConversationalConfigApiModelWorkflowOverrideOutput

- `asr` (AsrConversationalConfigWorkflowOverride, optional) — 会話用文字起こしの設定
- `turn` (TurnConfigWorkflowOverride, optional) — ターン検出の設定
- `tts` (TtsConversationalConfigWorkflowOverrideOutput, optional) — 会話用テキスト読み上げの設定
- `conversation` (ConversationConfigWorkflowOverrideOutput, optional) — 会話イベントの設定
- `language_presets` (map from string to LanguagePresetOutput, optional) — 会話用の言語プリセット
- `vad` (VadConfigWorkflowOverride, optional) — 音声アクティビティ検出の設定
- `agent` (AgentConfigApiModelWorkflowOverrideOutput, optional) — エージェント固有の設定

### WorkflowPhoneNumberNodeModelOutputCustomSipHeadersItem

- `type`: `dynamic`
  - `key` (string, required) — SIPヘッダー名（例：'X-Customer-ID'）
  - `value` (string, required) — 解決する動的変数名
- `type`: `static`
  - `key` (string, required) — SIPヘッダー名（例：'X-Customer-ID'）
  - `value` (string, required) — ヘッダー値

### WorkflowPhoneNumberNodeModelOutputTransferDestination

- `type`: `phone`
  - `phone_number` (string, required)
- `type`: `phone_dynamic_variable`
  - `phone_number` (string, required)
- `type`: `sip_uri`
  - `sip_uri` (string, required)
- `type`: `sip_uri_dynamic_variable`
  - `sip_uri` (string, required)

### WorkflowPhoneNumberNodeModelOutputPostDialDigits

- `type`: `dynamic`
  - `value` (string, required) — 解決する動的変数名
- `type`: `static`
  - `value` (string, required) — 通話接続後に送信するDTMF数字（例：内線番号には'ww1234'）

### WorkflowSayNodeModelOutputMessage

このノードが発話するメッセージです。正確なテキストには `literal` を使用し、説明からLLMにメッセージを生成させるには `prompt` を使用します。

- `type`: `literal`
  - `text` (string, required) — エージェントが発話する正確なテキストです。`{{variable_name}}` の動的変数プレースホルダーに対応しています。
  - `text_translations` (map from string to TranslatedString, required) — 言語コードをキーとする `text` の翻訳です。会話言語に対応するエントリがある場合は、`text` の代わりにその値が発話されます。
- `type`: `prompt`
  - `prompt` (string, required) — LLMが生成するメッセージの説明です。このノードがアクティブな間、エージェントのシステムプロンプトに追加されます。

### WorkflowStateUpdateOutput

- `type` ("dynamic_variable", required)
- `variable_name` (string, required) — 割り当てる動的変数の名前です。
- `expression` (AstNodeOutput, required) — 結果が変数に割り当てられる式です。定数、他の動的変数、LLMで抽出した値、演算子を組み合わせられます。
- `required` (boolean, required, default: true) — falseの場合、LLMはこの更新が依存する値を省略することがあります。その場合、更新はスキップされ、変数は現在の値を維持します。

### AsrConversationalConfigOverride

- `keywords` (list of string, optional) — 予測確率を高めるキーワード

### TurnConfigOverride

- `soft_timeout_config` (SoftTimeoutConfigOverride, optional) — ソフトタイムアウト機能の設定です。長いLLMレスポンスの処理中に即時フィードバックを提供します。

### TtsConversationalConfigOverride

- `model_id` (enum, optional, default: eleven_v4_turbo) — TTSに使用するモデル。
  - Allowed values: `eleven_turbo_v2`, `eleven_turbo_v2_5`, `eleven_flash_v2`, `eleven_flash_v2_5`, `eleven_multilingual_v2`, `eleven_v3_conversational`, `eleven_v4`, `eleven_v4_turbo`
- `voice_id` (string, optional) — TTSに使用する音声ID
- `supported_voices` (list of SupportedVoice, optional) — エージェントで追加対応する音声
- `stability` (double, optional) — 生成された音声の安定性
- `speed` (double, optional) — 生成された音声の速度
- `similarity_boost` (double, optional) — 生成された音声の類似性ブースト
- `pronunciation_dictionary_locators` (list of PydanticPronunciationDictionaryVersionLocator, optional) — 発音辞書ロケーター

### ConversationConfigOverride

- `text_only` (boolean, optional) — 有効にするとオーディオは処理されず、テキストのみが使用されます。オーディオ料金を回避するために使用します。
- `max_duration_seconds` (integer, optional) — 会話の最大時間（秒）。

### AgentConfigOverrideOutput

- `first_message` (string, optional) — 空でない場合、エージェントが最初に発するメッセージです。空の場合、エージェントはユーザーが会話を開始するのを待ちます。
- `language` (string, optional) — エージェントの言語（ASRおよびTTSで使用）
- `max_conversation_duration_message` (string, optional) — 空でない場合、会話の最大時間に達したときにエージェントが送信するメッセージです。
- `prompt` (PromptAgentApiModelOverrideOutput, optional) — エージェント用のプロンプト

### BuiltInToolsOutput

会話型エージェントに付与できるシステムツール。 意図的にConversationalBuiltInToolsという名前にはしていません。BuiltInToolsInputと BuiltInToolsOutputは、パブリックAPI仕様および生成されるSDKの一部です。

- `transfer_to_agent` (SystemToolConfigOutput, optional) — エージェント転送ツール
- `end_call` (SystemToolConfigOutput, optional) — 通話終了ツール
- `language_detection` (SystemToolConfigOutput, optional) — 言語検出ツール。
- `transfer_to_number` (SystemToolConfigOutput, optional) — 電話番号転送ツール
- `skip_turn` (SystemToolConfigOutput, optional) — ターンスキップツール
- `play_keypad_touch_tone` (SystemToolConfigOutput, optional) — DTMF再生ツール
- `voicemail_detection` (SystemToolConfigOutput, optional) — 留守番電話検出ツール

### CustomLlm

- `url` (string, required) — Chat Completions互換エンドポイントのURL
- `model_id` (string, optional) — URLが複数のモデルを提供する場合に使用するモデルID。
- `api_key` (CustomLlmApiKey, optional) — 認証用のAPIキーです。ワークスペースシークレット参照\{'secret\_id': '...'}または環境変数参照\{'env\_var\_label': '...'}のいずれかです。
- `auth_connection` (CustomLlmAuthConnection, optional) — 認証用の任意のワークスペース認証接続。Authorization Bearerトークンを生成する認証接続のみサポートされます。Basic認証、mTLS、カスタムヘッダー、URLシークレットの認証接続はサポートされません。
- `request_headers` (map from string to CustomLlmRequestHeadersValue, optional) — リクエストに含めるヘッダー
- `api_version` (string, optional) — リクエストに使用するAPIバージョン。
- `api_type` (enum, optional, default: chat_completions) — 使用するAPIタイプ（chat_completions、responses、またはwebsocket）。
  - Allowed values: `chat_completions`, `responses`, `websocket`

### RagConfigOutput

- `enabled` (boolean, optional, default: false)
- `embedding_model` (enum, optional, default: e5_mistral_7b_instruct)
  - Allowed values: `e5_mistral_7b_instruct`, `multilingual_e5_large_instruct`
- `max_vector_distance` (double, optional, default: 0.6) — 取得したチャンクの最大ベクトル距離。
- `max_documents_length` (integer, optional, default: 50000) — RAGから取得するドキュメントチャンクの合計長の上限。
- `max_retrieved_rag_chunks_count` (integer, optional, default: 20) — ベクトルストアから最初に取得するRAGドキュメントチャンクの最大数。その後、ベクトル距離と合計長に基づいてさらにフィルタリングされます。
- `num_candidates` (integer, optional) — ANNベクトル検索で評価する候補数です。数が多いほど結果は改善しますが、レイテンシーも増加します。推奨される最小値は100です。無効にした場合は、デフォルト値が使用されます。
- `query_rewrite_prompt_override` (string, optional) — RAG検索前にユーザークエリを書き換えるためのカスタムプロンプト。会話履歴は末尾に自動で追加されます。未設定の場合はデフォルトのプロンプトが使用されます。
- `knowledge_base_tool_info` (KnowledgeBaseToolInfo, optional) — 設定すると、エージェントは従来のknowledge_base_ragツールではなくknowledge_baseツールを使用します。Noneは、エージェントがオプトインしていないことを意味します。

### PromptAgentApiModelOutputBackupLlmConfig

バックアップLLMカスケードの設定です。無効化するか、システムのデフォルトを使用するか、カスタムの順序を指定できます。

- `preference`: `default`
- `preference`: `disabled`
- `preference`: `override`
  - `order` (list of enum, required)
    - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`

### PromptAgentApiModelOutputToolsItem

ツールのタイプ

- `type`: `api_integration_webhook`
  - `api_integration_connection_id` (string, required)
  - `api_integration_id` (string, required)
  - `assignments` (list of DynamicVariableAssignment, required) — ツールレスポンスから値を抽出し、動的変数に割り当てるための設定
  - `description` (string, required) — ツールを使用するタイミングと機能の説明。
  - `dynamic_variables` (DynamicVariablesConfig, required) — 動的変数の設定
  - `execution_mode` (enum, required, default: immediate) — ツールをいつ、どのように実行するかを決定します。'immediate'はLLMから要求されるとすぐにツールを実行し、'post_tool_speech'はエージェントが話し終えるまで待ってから実行し、'async'はブロックせずにバックグラウンドでツールを実行します。長時間の処理に最適です。
    - Allowed values: `immediate`, `post_tool_speech`, `async`
  - `interruption_mode` (enum, required, default: allow) — このツール呼び出し中にユーザーがエージェントを中断できるかどうかを制御します。'allow'（デフォルト）はユーザーによる中断をいつでも許可します。'disable_during_tool'はツールの実行中のみ中断を抑制し、'disable_during_tool_and_turn'はツールの実行中と、その後に続くエージェントの応答中に中断を抑制します。
    - Allowed values: `allow`, `disable_during_tool`, `disable_during_tool_and_turn`
  - `name` (string, required)
  - `pre_tool_speech` (enum, required, default: auto) — このツールを呼び出す前にエージェントが話すかどうかを制御します。'auto'（デフォルト）は直近のツールレイテンシーに基づいて判断し、'force'は常にエージェントに話すよう求め、'off'はレイテンシーにかかわらず完全に無効化します。
    - Allowed values: `auto`, `force`, `off`
  - `response_timeout_secs` (integer, required, default: 20) — ツール呼び出しの完了を待機する最大時間（秒）。5秒から300秒の範囲で指定します（両端を含む）。
  - `tool_call_sound_behavior` (enum, required, default: auto) — ツール呼び出し音をいつ再生するかを決定します。'auto'はツール実行前の発話がある場合にのみ再生し、'always'はすべてのツール呼び出しで再生します。
    - Allowed values: `auto`, `always`
  - `tool_error_handling_mode` (enum, required, default: auto) — エージェントと共有する前にツールエラーを処理する方法を制御します。'auto'はツールの種類に応じて処理方法を決定します（ネイティブインテグレーションでは要約、その他では非表示）。'summarized'はLLM生成の要約を送信し、'passthrough'は未加工のエラーを送信し、'hide'はエージェントとエラーを共有しません。
    - Allowed values: `auto`, `summarized`, `passthrough`, `hide`
  - `tool_version` (string, required, default: 1.0.0) — APIインテグレーションツールのバージョン
  - `disable_interruptions` (boolean, required, default: false, deprecated) — 非推奨：代わりに`interruption_mode`を使用してください。trueの場合、このツールの実行中は、ユーザーはエージェントを中断できません。
  - `force_pre_tool_speech` (boolean, required, default: false, deprecated) — 非推奨：代わりに`pre_tool_speech`を使用してください。trueの場合、エージェントはツール呼び出し前に発話します。
[...]
